// Code generated by go generate; DO NOT EDIT.
/*
Copyright 2019 HAProxy Technologies

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

package integration_test

import (
	"bytes"
	"testing"

	parser "github.com/haproxytech/config-parser/v4"
	"github.com/haproxytech/config-parser/v4/options"
)

func TestWholeConfigsSectionsFrontend(t *testing.T) {
	t.Parallel()
	tests := []struct {
		Name, Config string
	}{
		{"frontend_acladdpathaddacl", frontend_acladdpathaddacl},
		{"frontend_aclbeappoknbsrvbeappgt0", frontend_aclbeappoknbsrvbeappgt0},
		{"frontend_aclbestaticoknbsrvbestaticgt0", frontend_aclbestaticoknbsrvbestaticgt0},
		{"frontend_aclcleardstport80", frontend_aclcleardstport80},
		{"frontend_aclcookiesethdrsubcookieSEEN1", frontend_aclcookiesethdrsubcookieSEEN1},
		{"frontend_acldelpathdelacl", frontend_acldelpathdelacl},
		{"frontend_aclkeyreqhdrXAddACLKeymfound", frontend_aclkeyreqhdrXAddACLKeymfound},
		{"frontend_aclloginpageurlbeglogin", frontend_aclloginpageurlbeglogin},
		{"frontend_acllogouturlbeglogout", frontend_acllogouturlbeglogout},
		{"frontend_aclmyhosthdrHostfmyhostlst", frontend_aclmyhosthdrHostfmyhostlst},
		{"frontend_aclsecuredstport8080", frontend_aclsecuredstport8080},
		{"frontend_acluidgivenurlregloginuserid", frontend_acluidgivenurlregloginuserid},
		{"frontend_aclurlstaticpathbegistaticimages", frontend_aclurlstaticpathbegistaticimages},
		{"frontend_aclurlstaticpathendijpggifpngcss", frontend_aclurlstaticpathendijpggifpngcss},
		{"frontend_aclurlstatspathbegstats", frontend_aclurlstatspathbegstats},
		{"frontend_bind10001100801000110443", frontend_bind10001100801000110443},
		{"frontend_bind443acceptnetscalercip1234", frontend_bind443acceptnetscalercip1234},
		{"frontend_bind443acceptproxy", frontend_bind443acceptproxy},
		{"frontend_bind443allow0rtt", frontend_bind443allow0rtt},
		{"frontend_bind443alpnh2", frontend_bind443alpnh2},
		{"frontend_bind443alpnh2http11", frontend_bind443alpnh2http11},
		{"frontend_bind443alpnhttp11", frontend_bind443alpnhttp11},
		{"frontend_bind443backlogtest", frontend_bind443backlogtest},
		{"frontend_bind443cafilefilepem", frontend_bind443cafilefilepem},
		{"frontend_bind443caignoreerr1234", frontend_bind443caignoreerr1234},
		{"frontend_bind443caignoreerrall", frontend_bind443caignoreerrall},
		{"frontend_bind443casignfilefiletest", frontend_bind443casignfilefiletest},
		{"frontend_bind443casignpasspassphrase", frontend_bind443casignpasspassphrase},
		{"frontend_bind443caverifyfilefiletest", frontend_bind443caverifyfilefiletest},
		{"frontend_bind443ciphersECDHEaRSAAES256GCM", frontend_bind443ciphersECDHEaRSAAES256GCM},
		{"frontend_bind443ciphersuitesTODO", frontend_bind443ciphersuitesTODO},
		{"frontend_bind443crlfilefiletest", frontend_bind443crlfilefiletest},
		{"frontend_bind443crtexamplepem", frontend_bind443crtexamplepem},
		{"frontend_bind443crtignoreerr404410", frontend_bind443crtignoreerr404410},
		{"frontend_bind443crtignoreerrall", frontend_bind443crtignoreerrall},
		{"frontend_bind443crtlistcert1pem", frontend_bind443crtlistcert1pem},
		{"frontend_bind443curvesECDHECDSAECDHEECDSA", frontend_bind443curvesECDHECDSAECDHEECDSA},
		{"frontend_bind443deferaccept", frontend_bind443deferaccept},
		{"frontend_bind443ecdheECDHECDSAECDHEECDSAE", frontend_bind443ecdheECDHECDSAECDHEECDSAE},
		{"frontend_bind443exposefdlisteners", frontend_bind443exposefdlisteners},
		{"frontend_bind443forcesslv3", frontend_bind443forcesslv3},
		{"frontend_bind443forcetlsv10", frontend_bind443forcetlsv10},
		{"frontend_bind443forcetlsv11", frontend_bind443forcetlsv11},
		{"frontend_bind443forcetlsv12", frontend_bind443forcetlsv12},
		{"frontend_bind443forcetlsv13", frontend_bind443forcetlsv13},
		{"frontend_bind443generatecertificates", frontend_bind443generatecertificates},
		{"frontend_bind443gidusers", frontend_bind443gidusers},
		{"frontend_bind443groupgroup", frontend_bind443groupgroup},
		{"frontend_bind443id1", frontend_bind443id1},
		{"frontend_bind443interfaceeth0", frontend_bind443interfaceeth0},
		{"frontend_bind443interfaceeth1", frontend_bind443interfaceeth1},
		{"frontend_bind443interfacepppoewan", frontend_bind443interfacepppoewan},
		{"frontend_bind443leveladmin", frontend_bind443leveladmin},
		{"frontend_bind443levelopeerator", frontend_bind443levelopeerator},
		{"frontend_bind443leveluser", frontend_bind443leveluser},
		{"frontend_bind443maxconn1024", frontend_bind443maxconn1024},
		{"frontend_bind443modeTODO", frontend_bind443modeTODO},
		{"frontend_bind443mss1460", frontend_bind443mss1460},
		{"frontend_bind443mss1460_", frontend_bind443mss1460_},
		{"frontend_bind443namesockets", frontend_bind443namesockets},
		{"frontend_bind443namespaceexample", frontend_bind443namespaceexample},
		{"frontend_bind443nice0", frontend_bind443nice0},
		{"frontend_bind443nice1024", frontend_bind443nice1024},
		{"frontend_bind443nice1024_", frontend_bind443nice1024_},
		{"frontend_bind443nocanames", frontend_bind443nocanames},
		{"frontend_bind443nosslv3", frontend_bind443nosslv3},
		{"frontend_bind443notlsv10", frontend_bind443notlsv10},
		{"frontend_bind443notlsv11", frontend_bind443notlsv11},
		{"frontend_bind443notlsv12", frontend_bind443notlsv12},
		{"frontend_bind443notlsv13", frontend_bind443notlsv13},
		{"frontend_bind443npnhttp10", frontend_bind443npnhttp10},
		{"frontend_bind443npnhttp10http11", frontend_bind443npnhttp10http11},
		{"frontend_bind443npnhttp11", frontend_bind443npnhttp11},
		{"frontend_bind443preferclientciphers", frontend_bind443preferclientciphers},
		{"frontend_bind443process14", frontend_bind443process14},
		{"frontend_bind443processall", frontend_bind443processall},
		{"frontend_bind443processeven", frontend_bind443processeven},
		{"frontend_bind443processodd", frontend_bind443processodd},
		{"frontend_bind443protoh2", frontend_bind443protoh2},
		{"frontend_bind443quicccalgocubic", frontend_bind443quicccalgocubic},
		{"frontend_bind443quicccalgonewreno", frontend_bind443quicccalgonewreno},
		{"frontend_bind443quicforceretry", frontend_bind443quicforceretry},
		{"frontend_bind443severityoutputnone", frontend_bind443severityoutputnone},
		{"frontend_bind443severityoutputnumber", frontend_bind443severityoutputnumber},
		{"frontend_bind443severityoutputstring", frontend_bind443severityoutputstring},
		{"frontend_bind443ssl", frontend_bind443ssl},
		{"frontend_bind443sslcrtetchaproxysitepem", frontend_bind443sslcrtetchaproxysitepem},
		{"frontend_bind443sslcrtetchaproxysitepemal", frontend_bind443sslcrtetchaproxysitepemal},
		{"frontend_bind443sslmaxverSSLv3", frontend_bind443sslmaxverSSLv3},
		{"frontend_bind443sslmaxverTLSv10", frontend_bind443sslmaxverTLSv10},
		{"frontend_bind443sslmaxverTLSv11", frontend_bind443sslmaxverTLSv11},
		{"frontend_bind443sslmaxverTLSv12", frontend_bind443sslmaxverTLSv12},
		{"frontend_bind443sslmaxverTLSv13", frontend_bind443sslmaxverTLSv13},
		{"frontend_bind443sslminverSSLv3", frontend_bind443sslminverSSLv3},
		{"frontend_bind443sslminverTLSv10", frontend_bind443sslminverTLSv10},
		{"frontend_bind443sslminverTLSv11", frontend_bind443sslminverTLSv11},
		{"frontend_bind443sslminverTLSv12", frontend_bind443sslminverTLSv12},
		{"frontend_bind443sslminverTLSv13", frontend_bind443sslminverTLSv13},
		{"frontend_bind443strictsni", frontend_bind443strictsni},
		{"frontend_bind443tcput30s", frontend_bind443tcput30s},
		{"frontend_bind443tfo", frontend_bind443tfo},
		{"frontend_bind443tlsticketkeystmptlsticket", frontend_bind443tlsticketkeystmptlsticket},
		{"frontend_bind443transparent", frontend_bind443transparent},
		{"frontend_bind443uid65534", frontend_bind443uid65534},
		{"frontend_bind443userweb1", frontend_bind443userweb1},
		{"frontend_bind443v4v6", frontend_bind443v4v6},
		{"frontend_bind443v4v6sslcrtetchaproxysitep", frontend_bind443v4v6sslcrtetchaproxysitep},
		{"frontend_bind443v6only", frontend_bind443v6only},
		{"frontend_bind443verifynone", frontend_bind443verifynone},
		{"frontend_bind443verifyoptional", frontend_bind443verifyoptional},
		{"frontend_bind443verifyrequired", frontend_bind443verifyrequired},
		{"frontend_bind80", frontend_bind80},
		{"frontend_bind80443", frontend_bind80443},
		{"frontend_bindipv4publicssl443sslcrtetchap", frontend_bindipv4publicssl443sslcrtetchap},
		{"frontend_bindipv680", frontend_bindipv680},
		{"frontend_bindprocess1234", frontend_bindprocess1234},
		{"frontend_bindprocess14", frontend_bindprocess14},
		{"frontend_bindprocessall", frontend_bindprocessall},
		{"frontend_bindprocesseven", frontend_bindprocesseven},
		{"frontend_bindprocessodd", frontend_bindprocessodd},
		{"frontend_bindunixsslfrontendsockuserrootm", frontend_bindunixsslfrontendsockuserrootm},
		{"frontend_bindvarrunsslfrontendsockuserroo", frontend_bindvarrunsslfrontendsockuserroo},
		{"frontend_declarecapturerequestlen1", frontend_declarecapturerequestlen1},
		{"frontend_declarecaptureresponselen2", frontend_declarecaptureresponselen2},
		{"frontend_emailalertfromadminexamplecom", frontend_emailalertfromadminexamplecom},
		{"frontend_emailalertlevelwarning", frontend_emailalertlevelwarning},
		{"frontend_emailalertmailerslocalmailers", frontend_emailalertmailerslocalmailers},
		{"frontend_emailalertmyhostnamesrv01example", frontend_emailalertmyhostnamesrv01example},
		{"frontend_emailalerttoabcd", frontend_emailalerttoabcd},
		{"frontend_emailalerttoazxy", frontend_emailalerttoazxy},
		{"frontend_emailalerttosupportexamplecom", frontend_emailalerttosupportexamplecom},
		{"frontend_errorfile400etchaproxyerrorfiles", frontend_errorfile400etchaproxyerrorfiles},
		{"frontend_errorfile403etchaproxyerrorfiles", frontend_errorfile403etchaproxyerrorfiles},
		{"frontend_errorfile408devnullworkaroundChr", frontend_errorfile408devnullworkaroundChr},
		{"frontend_errorfile503etchaproxyerrorfiles", frontend_errorfile503etchaproxyerrorfiles},
		{"frontend_errorfileserrorssection", frontend_errorfileserrorssection},
		{"frontend_errorfileserrorssection400", frontend_errorfileserrorssection400},
		{"frontend_errorfileserrorssection400401500", frontend_errorfileserrorssection400401500},
		{"frontend_errorloc302400httpwwwmyawesomesi", frontend_errorloc302400httpwwwmyawesomesi},
		{"frontend_errorloc302404httpwwwmyawesomesi", frontend_errorloc302404httpwwwmyawesomesi},
		{"frontend_errorloc302501errorpage", frontend_errorloc302501errorpage},
		{"frontend_errorloc303400httpwwwmyawesomesi", frontend_errorloc303400httpwwwmyawesomesi},
		{"frontend_errorloc303404httpwwwmyawesomesi", frontend_errorloc303404httpwwwmyawesomesi},
		{"frontend_errorloc303501errorpage", frontend_errorloc303501errorpage},
		{"frontend_httpafterresponseaddheaderXHeade", frontend_httpafterresponseaddheaderXHeade},
		{"frontend_httpafterresponseaddheaderXHeade_", frontend_httpafterresponseaddheaderXHeade_},
		{"frontend_httpafterresponseaddheaderXHeade__", frontend_httpafterresponseaddheaderXHeade__},
		{"frontend_httpafterresponseallow", frontend_httpafterresponseallow},
		{"frontend_httpafterresponseallowifacl", frontend_httpafterresponseallowifacl},
		{"frontend_httpafterresponseallowunlessacl", frontend_httpafterresponseallowunlessacl},
		{"frontend_httpafterresponsedelheaderXValue", frontend_httpafterresponsedelheaderXValue},
		{"frontend_httpafterresponsedelheaderXValue_", frontend_httpafterresponsedelheaderXValue_},
		{"frontend_httpafterresponsedelheaderXValue__", frontend_httpafterresponsedelheaderXValue__},
		{"frontend_httpafterresponsedelheaderXValue___", frontend_httpafterresponsedelheaderXValue___},
		{"frontend_httpafterresponsereplaceheaderSe", frontend_httpafterresponsereplaceheaderSe},
		{"frontend_httpafterresponsereplaceheaderSe_", frontend_httpafterresponsereplaceheaderSe_},
		{"frontend_httpafterresponsereplacevalueCac", frontend_httpafterresponsereplacevalueCac},
		{"frontend_httpafterresponsereplacevalueCac_", frontend_httpafterresponsereplacevalueCac_},
		{"frontend_httpafterresponsesetheaderStrict", frontend_httpafterresponsesetheaderStrict},
		{"frontend_httpafterresponsesetstatus431", frontend_httpafterresponsesetstatus431},
		{"frontend_httpafterresponsesetstatus500rea", frontend_httpafterresponsesetstatus500rea},
		{"frontend_httpafterresponsesetstatus500rea_", frontend_httpafterresponsesetstatus500rea_},
		{"frontend_httpafterresponsesetstatus503rea", frontend_httpafterresponsesetstatus503rea},
		{"frontend_httpafterresponsesetvarsesslastr", frontend_httpafterresponsesetvarsesslastr},
		{"frontend_httpafterresponsesetvarsesslastr_", frontend_httpafterresponsesetvarsesslastr_},
		{"frontend_httpafterresponsesetvarsesslastr__", frontend_httpafterresponsesetvarsesslastr__},
		{"frontend_httpafterresponsestrictmodeoff", frontend_httpafterresponsestrictmodeoff},
		{"frontend_httpafterresponsestrictmodeon", frontend_httpafterresponsestrictmodeon},
		{"frontend_httpafterresponseunsetvarsesslas", frontend_httpafterresponseunsetvarsesslas},
		{"frontend_httpafterresponseunsetvarsesslas_", frontend_httpafterresponseunsetvarsesslas_},
		{"frontend_httpafterresponseunsetvarsesslas__", frontend_httpafterresponseunsetvarsesslas__},
		{"frontend_httperrorstatus200contenttypetex", frontend_httperrorstatus200contenttypetex},
		{"frontend_httperrorstatus400", frontend_httperrorstatus400},
		{"frontend_httperrorstatus400contenttypetex", frontend_httperrorstatus400contenttypetex},
		{"frontend_httperrorstatus400contenttypetex_", frontend_httperrorstatus400contenttypetex_},
		{"frontend_httperrorstatus400contenttypetex__", frontend_httperrorstatus400contenttypetex__},
		{"frontend_httperrorstatus400contenttypetex___", frontend_httperrorstatus400contenttypetex___},
		{"frontend_httperrorstatus400contenttypetex____", frontend_httperrorstatus400contenttypetex____},
		{"frontend_httperrorstatus400defaulterrorfi", frontend_httperrorstatus400defaulterrorfi},
		{"frontend_httperrorstatus400errorfilemyfan", frontend_httperrorstatus400errorfilemyfan},
		{"frontend_httperrorstatus400errorfilesmyer", frontend_httperrorstatus400errorfilesmyer},
		{"frontend_httprequestaddaclmaplstsrc", frontend_httprequestaddaclmaplstsrc},
		{"frontend_httprequestaddheaderAuthorisatio", frontend_httprequestaddheaderAuthorisatio},
		{"frontend_httprequestaddheaderAuthorizatio", frontend_httprequestaddheaderAuthorizatio},
		{"frontend_httprequestaddheaderXvaluevalue", frontend_httprequestaddheaderXvaluevalue},
		{"frontend_httprequestallow", frontend_httprequestallow},
		{"frontend_httprequestauth", frontend_httprequestauth},
		{"frontend_httprequestcacheusecachename", frontend_httprequestcacheusecachename},
		{"frontend_httprequestcacheusecachenameifFA", frontend_httprequestcacheusecachenameifFA},
		{"frontend_httprequestcapturereqcookcntFirs", frontend_httprequestcapturereqcookcntFirs},
		{"frontend_httprequestdelaclmaplstsrc", frontend_httprequestdelaclmaplstsrc},
		{"frontend_httprequestdelheaderXvalue", frontend_httprequestdelheaderXvalue},
		{"frontend_httprequestdelheaderXvalueifTRUE", frontend_httprequestdelheaderXvalueifTRUE},
		{"frontend_httprequestdelheaderXvaluemstrif", frontend_httprequestdelheaderXvaluemstrif},
		{"frontend_httprequestdelmapmaplstsrc", frontend_httprequestdelmapmaplstsrc},
		{"frontend_httprequestdelmapmaplstsrcifvalu", frontend_httprequestdelmapmaplstsrcifvalu},
		{"frontend_httprequestdeny", frontend_httprequestdeny},
		{"frontend_httprequestdenydenystatus400", frontend_httprequestdenydenystatus400},
		{"frontend_httprequestdenydenystatus400cont", frontend_httprequestdenydenystatus400cont},
		{"frontend_httprequestdenydenystatus400cont_", frontend_httprequestdenydenystatus400cont_},
		{"frontend_httprequestdenydenystatus400cont__", frontend_httprequestdenydenystatus400cont__},
		{"frontend_httprequestdenydenystatus400cont___", frontend_httprequestdenydenystatus400cont___},
		{"frontend_httprequestdenydenystatus400cont____", frontend_httprequestdenydenystatus400cont____},
		{"frontend_httprequestdenydenystatus400cont_____", frontend_httprequestdenydenystatus400cont_____},
		{"frontend_httprequestdenydenystatus400cont______", frontend_httprequestdenydenystatus400cont______},
		{"frontend_httprequestdenydenystatus400cont_______", frontend_httprequestdenydenystatus400cont_______},
		{"frontend_httprequestdenydenystatus400cont________", frontend_httprequestdenydenystatus400cont________},
		{"frontend_httprequestdenydenystatus400cont_________", frontend_httprequestdenydenystatus400cont_________},
		{"frontend_httprequestdenydenystatus400cont__________", frontend_httprequestdenydenystatus400cont__________},
		{"frontend_httprequestdenydenystatus400ifTR", frontend_httprequestdenydenystatus400ifTR},
		{"frontend_httprequestdenyifTRUE", frontend_httprequestdenyifTRUE},
		{"frontend_httprequestdisablel7retry", frontend_httprequestdisablel7retry},
		{"frontend_httprequestdisablel7retryifFALSE", frontend_httprequestdisablel7retryifFALSE},
		{"frontend_httprequestdoresolvetxnmyipmydns", frontend_httprequestdoresolvetxnmyipmydns},
		{"frontend_httprequestdoresolvetxnmyipmydns_", frontend_httprequestdoresolvetxnmyipmydns_},
		{"frontend_httprequestdoresolvetxnmyipmydns__", frontend_httprequestdoresolvetxnmyipmydns__},
		{"frontend_httprequestdoresolvetxnmyipmydns___", frontend_httprequestdoresolvetxnmyipmydns___},
		{"frontend_httprequestdoresolvetxnmyipmydns____", frontend_httprequestdoresolvetxnmyipmydns____},
		{"frontend_httprequestearlyhinthintsrc", frontend_httprequestearlyhinthintsrc},
		{"frontend_httprequestearlyhinthintsrcifFAL", frontend_httprequestearlyhinthintsrcifFAL},
		{"frontend_httprequestearlyhintifFALSE", frontend_httprequestearlyhintifFALSE},
		{"frontend_httprequestluafoo", frontend_httprequestluafoo},
		{"frontend_httprequestluafooifFALSE", frontend_httprequestluafooifFALSE},
		{"frontend_httprequestluafooparam", frontend_httprequestluafooparam},
		{"frontend_httprequestluafooparamparam2", frontend_httprequestluafooparamparam2},
		{"frontend_httprequestnormalizeurifragmente", frontend_httprequestnormalizeurifragmente},
		{"frontend_httprequestnormalizeurifragmente_", frontend_httprequestnormalizeurifragmente_},
		{"frontend_httprequestnormalizeurifragments", frontend_httprequestnormalizeurifragments},
		{"frontend_httprequestnormalizeurifragments_", frontend_httprequestnormalizeurifragments_},
		{"frontend_httprequestnormalizeuripathmerge", frontend_httprequestnormalizeuripathmerge},
		{"frontend_httprequestnormalizeuripathmerge_", frontend_httprequestnormalizeuripathmerge_},
		{"frontend_httprequestnormalizeuripathstrip", frontend_httprequestnormalizeuripathstrip},
		{"frontend_httprequestnormalizeuripathstrip_", frontend_httprequestnormalizeuripathstrip_},
		{"frontend_httprequestnormalizeuripathstrip__", frontend_httprequestnormalizeuripathstrip__},
		{"frontend_httprequestnormalizeuripathstrip___", frontend_httprequestnormalizeuripathstrip___},
		{"frontend_httprequestnormalizeuripathstrip____", frontend_httprequestnormalizeuripathstrip____},
		{"frontend_httprequestnormalizeuripathstrip_____", frontend_httprequestnormalizeuripathstrip_____},
		{"frontend_httprequestnormalizeuripercentde", frontend_httprequestnormalizeuripercentde},
		{"frontend_httprequestnormalizeuripercentde_", frontend_httprequestnormalizeuripercentde_},
		{"frontend_httprequestnormalizeuripercentde__", frontend_httprequestnormalizeuripercentde__},
		{"frontend_httprequestnormalizeuripercentde___", frontend_httprequestnormalizeuripercentde___},
		{"frontend_httprequestnormalizeuripercentto", frontend_httprequestnormalizeuripercentto},
		{"frontend_httprequestnormalizeuripercentto_", frontend_httprequestnormalizeuripercentto_},
		{"frontend_httprequestnormalizeuripercentto__", frontend_httprequestnormalizeuripercentto__},
		{"frontend_httprequestnormalizeuripercentto___", frontend_httprequestnormalizeuripercentto___},
		{"frontend_httprequestnormalizeuriquerysort", frontend_httprequestnormalizeuriquerysort},
		{"frontend_httprequestnormalizeuriquerysort_", frontend_httprequestnormalizeuriquerysort_},
		{"frontend_httprequestredirectlocationfileh", frontend_httprequestredirectlocationfileh},
		{"frontend_httprequestredirectlocationfileh_", frontend_httprequestredirectlocationfileh_},
		{"frontend_httprequestredirectprefixhttpsmy", frontend_httprequestredirectprefixhttpsmy},
		{"frontend_httprequestreject", frontend_httprequestreject},
		{"frontend_httprequestreplaceheaderUseragen", frontend_httprequestreplaceheaderUseragen},
		{"frontend_httprequestreplacepathfoo", frontend_httprequestreplacepathfoo},
		{"frontend_httprequestreplacepathfooifTRUE", frontend_httprequestreplacepathfooifTRUE},
		{"frontend_httprequestreplacepathqfoo", frontend_httprequestreplacepathqfoo},
		{"frontend_httprequestreplacepathqfooifTRUE", frontend_httprequestreplacepathqfooifTRUE},
		{"frontend_httprequestreplaceurihttphttps1", frontend_httprequestreplaceurihttphttps1},
		{"frontend_httprequestreplaceurihttphttps1i", frontend_httprequestreplaceurihttphttps1i},
		{"frontend_httprequestreplacevalueXForwarde", frontend_httprequestreplacevalueXForwarde},
		{"frontend_httprequestreturncontenttypetext", frontend_httprequestreturncontenttypetext},
		{"frontend_httprequestreturncontenttypetext_", frontend_httprequestreturncontenttypetext_},
		{"frontend_httprequestreturncontenttypetext__", frontend_httprequestreturncontenttypetext__},
		{"frontend_httprequestreturncontenttypetext___", frontend_httprequestreturncontenttypetext___},
		{"frontend_httprequestreturncontenttypetext____", frontend_httprequestreturncontenttypetext____},
		{"frontend_httprequestreturncontenttypetext_____", frontend_httprequestreturncontenttypetext_____},
		{"frontend_httprequestreturncontenttypetext______", frontend_httprequestreturncontenttypetext______},
		{"frontend_httprequestreturncontenttypetext_______", frontend_httprequestreturncontenttypetext_______},
		{"frontend_httprequestreturnstatus200conten", frontend_httprequestreturnstatus200conten},
		{"frontend_httprequestreturnstatus200conten_", frontend_httprequestreturnstatus200conten_},
		{"frontend_httprequestreturnstatus400defaul", frontend_httprequestreturnstatus400defaul},
		{"frontend_httprequestreturnstatus400errorf", frontend_httprequestreturnstatus400errorf},
		{"frontend_httprequestreturnstatus400errorf_", frontend_httprequestreturnstatus400errorf_},
		{"frontend_httprequestscincgpc01", frontend_httprequestscincgpc01},
		{"frontend_httprequestscincgpc01ifFALSE", frontend_httprequestscincgpc01ifFALSE},
		{"frontend_httprequestscincgpc11", frontend_httprequestscincgpc11},
		{"frontend_httprequestscincgpc11ifFALSE", frontend_httprequestscincgpc11ifFALSE},
		{"frontend_httprequestscsetgpt0110", frontend_httprequestscsetgpt0110},
		{"frontend_httprequestscsetgpt01hdrHostlowe", frontend_httprequestscsetgpt01hdrHostlowe},
		{"frontend_httprequestscsetgpt01hdrHostlowe_", frontend_httprequestscsetgpt01hdrHostlowe_},
		{"frontend_httprequestsendspoegroupenginegr", frontend_httprequestsendspoegroupenginegr},
		{"frontend_httprequestsetbandwidthlimitmyli", frontend_httprequestsetbandwidthlimitmyli},
		{"frontend_httprequestsetbandwidthlimitmyli_", frontend_httprequestsetbandwidthlimitmyli_},
		{"frontend_httprequestsetbandwidthlimitmyli__", frontend_httprequestsetbandwidthlimitmyli__},
		{"frontend_httprequestsetbandwidthlimitmyli___", frontend_httprequestsetbandwidthlimitmyli___},
		{"frontend_httprequestsetdstporthdrxport", frontend_httprequestsetdstporthdrxport},
		{"frontend_httprequestsetdstporthdrxportifv", frontend_httprequestsetdstporthdrxportifv},
		{"frontend_httprequestsetdstporthdrxportunl", frontend_httprequestsetdstporthdrxportunl},
		{"frontend_httprequestsetdstportint4000", frontend_httprequestsetdstportint4000},
		{"frontend_httprequestsetdstvartxnmyip", frontend_httprequestsetdstvartxnmyip},
		{"frontend_httprequestsetdstvartxnmyipifvar", frontend_httprequestsetdstvartxnmyipifvar},
		{"frontend_httprequestsetdstvartxnmyipunles", frontend_httprequestsetdstvartxnmyipunles},
		{"frontend_httprequestsetheaderXvaluevalue", frontend_httprequestsetheaderXvaluevalue},
		{"frontend_httprequestsetloglevelsilent", frontend_httprequestsetloglevelsilent},
		{"frontend_httprequestsetmapmaplstsrcreqhdr", frontend_httprequestsetmapmaplstsrcreqhdr},
		{"frontend_httprequestsetmapmaplstsrcreqhdr_", frontend_httprequestsetmapmaplstsrcreqhdr_},
		{"frontend_httprequestsetmark0x1Ab", frontend_httprequestsetmark0x1Ab},
		{"frontend_httprequestsetmark20", frontend_httprequestsetmark20},
		{"frontend_httprequestsetmethodPOST", frontend_httprequestsetmethodPOST},
		{"frontend_httprequestsetmethodPOSTifFALSE", frontend_httprequestsetmethodPOSTifFALSE},
		{"frontend_httprequestsetnice0", frontend_httprequestsetnice0},
		{"frontend_httprequestsetnice0ifFALSE", frontend_httprequestsetnice0ifFALSE},
		{"frontend_httprequestsetpathhdrhostpath", frontend_httprequestsetpathhdrhostpath},
		{"frontend_httprequestsetpathqhdrhostpath", frontend_httprequestsetpathqhdrhostpath},
		{"frontend_httprequestsetpriorityclassreqhd", frontend_httprequestsetpriorityclassreqhd},
		{"frontend_httprequestsetpriorityclassreqhd_", frontend_httprequestsetpriorityclassreqhd_},
		{"frontend_httprequestsetpriorityoffsetreqh", frontend_httprequestsetpriorityoffsetreqh},
		{"frontend_httprequestsetpriorityoffsetreqh_", frontend_httprequestsetpriorityoffsetreqh_},
		{"frontend_httprequestsetqueryqueryregsub3D", frontend_httprequestsetqueryqueryregsub3D},
		{"frontend_httprequestsetsrchdrsrc", frontend_httprequestsetsrchdrsrc},
		{"frontend_httprequestsetsrchdrsrcifFALSE", frontend_httprequestsetsrchdrsrcifFALSE},
		{"frontend_httprequestsetsrcporthdrport", frontend_httprequestsetsrcporthdrport},
		{"frontend_httprequestsetsrcporthdrportifFA", frontend_httprequestsetsrcporthdrportifFA},
		{"frontend_httprequestsettimeoutserver20", frontend_httprequestsettimeoutserver20},
		{"frontend_httprequestsettimeoutserver20sif", frontend_httprequestsettimeoutserver20sif},
		{"frontend_httprequestsettimeouttunnel20", frontend_httprequestsettimeouttunnel20},
		{"frontend_httprequestsettimeouttunnel20sif", frontend_httprequestsettimeouttunnel20sif},
		{"frontend_httprequestsettos0", frontend_httprequestsettos0},
		{"frontend_httprequestsettos0ifFALSE", frontend_httprequestsettos0ifFALSE},
		{"frontend_httprequestseturihdrhostpath", frontend_httprequestseturihdrhostpath},
		{"frontend_httprequestsetvarfmtreqmyvarreqf", frontend_httprequestsetvarfmtreqmyvarreqf},
		{"frontend_httprequestsetvarreqmyvarreqfhdr", frontend_httprequestsetvarreqmyvarreqfhdr},
		{"frontend_httprequestsilentdrop", frontend_httprequestsilentdrop},
		{"frontend_httprequestsilentdropifFALSE", frontend_httprequestsilentdropifFALSE},
		{"frontend_httprequeststrictmodeon", frontend_httprequeststrictmodeon},
		{"frontend_httprequeststrictmodeonifFALSE", frontend_httprequeststrictmodeonifFALSE},
		{"frontend_httprequesttarpit", frontend_httprequesttarpit},
		{"frontend_httprequesttarpitdenystatus400", frontend_httprequesttarpitdenystatus400},
		{"frontend_httprequesttarpitdenystatus400co", frontend_httprequesttarpitdenystatus400co},
		{"frontend_httprequesttarpitdenystatus400co_", frontend_httprequesttarpitdenystatus400co_},
		{"frontend_httprequesttarpitdenystatus400co__", frontend_httprequesttarpitdenystatus400co__},
		{"frontend_httprequesttarpitdenystatus400co___", frontend_httprequesttarpitdenystatus400co___},
		{"frontend_httprequesttarpitdenystatus400co____", frontend_httprequesttarpitdenystatus400co____},
		{"frontend_httprequesttarpitdenystatus400co_____", frontend_httprequesttarpitdenystatus400co_____},
		{"frontend_httprequesttarpitdenystatus400co______", frontend_httprequesttarpitdenystatus400co______},
		{"frontend_httprequesttarpitdenystatus400co_______", frontend_httprequesttarpitdenystatus400co_______},
		{"frontend_httprequesttarpitdenystatus400co________", frontend_httprequesttarpitdenystatus400co________},
		{"frontend_httprequesttarpitdenystatus400co_________", frontend_httprequesttarpitdenystatus400co_________},
		{"frontend_httprequesttarpitdenystatus400co__________", frontend_httprequesttarpitdenystatus400co__________},
		{"frontend_httprequesttarpitdenystatus400if", frontend_httprequesttarpitdenystatus400if},
		{"frontend_httprequesttarpitifTRUE", frontend_httprequesttarpitifTRUE},
		{"frontend_httprequesttracksc0src", frontend_httprequesttracksc0src},
		{"frontend_httprequesttracksc1src", frontend_httprequesttracksc1src},
		{"frontend_httprequesttracksc2src", frontend_httprequesttracksc2src},
		{"frontend_httprequestunsetvarreqmyvar", frontend_httprequestunsetvarreqmyvar},
		{"frontend_httprequestunsetvarreqmyvarifFAL", frontend_httprequestunsetvarreqmyvarifFAL},
		{"frontend_httprequestwaitforbodytime20s", frontend_httprequestwaitforbodytime20s},
		{"frontend_httprequestwaitforbodytime20satl", frontend_httprequestwaitforbodytime20satl},
		{"frontend_httprequestwaitforbodytime20satl_", frontend_httprequestwaitforbodytime20satl_},
		{"frontend_httprequestwaitforbodytime20sifT", frontend_httprequestwaitforbodytime20sifT},
		{"frontend_httprequestwaitforhandshake", frontend_httprequestwaitforhandshake},
		{"frontend_httprequestwaitforhandshakeifFAL", frontend_httprequestwaitforhandshakeifFAL},
		{"frontend_httpresponseaddaclmaplstsrc", frontend_httpresponseaddaclmaplstsrc},
		{"frontend_httpresponseaddheaderXvaluevalue", frontend_httpresponseaddheaderXvaluevalue},
		{"frontend_httpresponseallow", frontend_httpresponseallow},
		{"frontend_httpresponsecachestorecachename", frontend_httpresponsecachestorecachename},
		{"frontend_httpresponsecachestorecachenamei", frontend_httpresponsecachestorecachenamei},
		{"frontend_httpresponsecapturereshdrServeri", frontend_httpresponsecapturereshdrServeri},
		{"frontend_httpresponsedelaclmaplstsrc", frontend_httpresponsedelaclmaplstsrc},
		{"frontend_httpresponsedelheaderXvalue", frontend_httpresponsedelheaderXvalue},
		{"frontend_httpresponsedelmapmaplstsrc", frontend_httpresponsedelmapmaplstsrc},
		{"frontend_httpresponsedelmapmaplstsrcifval", frontend_httpresponsedelmapmaplstsrcifval},
		{"frontend_httpresponsedeny", frontend_httpresponsedeny},
		{"frontend_httpresponsedenydenystatus400", frontend_httpresponsedenydenystatus400},
		{"frontend_httpresponsedenydenystatus400con", frontend_httpresponsedenydenystatus400con},
		{"frontend_httpresponsedenydenystatus400con_", frontend_httpresponsedenydenystatus400con_},
		{"frontend_httpresponsedenydenystatus400con__", frontend_httpresponsedenydenystatus400con__},
		{"frontend_httpresponsedenydenystatus400con___", frontend_httpresponsedenydenystatus400con___},
		{"frontend_httpresponsedenydenystatus400con____", frontend_httpresponsedenydenystatus400con____},
		{"frontend_httpresponsedenydenystatus400con_____", frontend_httpresponsedenydenystatus400con_____},
		{"frontend_httpresponsedenydenystatus400con______", frontend_httpresponsedenydenystatus400con______},
		{"frontend_httpresponsedenydenystatus400con_______", frontend_httpresponsedenydenystatus400con_______},
		{"frontend_httpresponsedenydenystatus400con________", frontend_httpresponsedenydenystatus400con________},
		{"frontend_httpresponsedenydenystatus400con_________", frontend_httpresponsedenydenystatus400con_________},
		{"frontend_httpresponsedenydenystatus400con__________", frontend_httpresponsedenydenystatus400con__________},
		{"frontend_httpresponsedenydenystatus400ifT", frontend_httpresponsedenydenystatus400ifT},
		{"frontend_httpresponsedenyifTRUE", frontend_httpresponsedenyifTRUE},
		{"frontend_httpresponseluafoo", frontend_httpresponseluafoo},
		{"frontend_httpresponseluafooifFALSE", frontend_httpresponseluafooifFALSE},
		{"frontend_httpresponseluafooparam", frontend_httpresponseluafooparam},
		{"frontend_httpresponseluafooparamparam2", frontend_httpresponseluafooparamparam2},
		{"frontend_httpresponseredirectprefixhttpsm", frontend_httpresponseredirectprefixhttpsm},
		{"frontend_httpresponsereplaceheaderUserage", frontend_httpresponsereplaceheaderUserage},
		{"frontend_httpresponsereplacevalueXForward", frontend_httpresponsereplacevalueXForward},
		{"frontend_httpresponsereturncontenttypetex", frontend_httpresponsereturncontenttypetex},
		{"frontend_httpresponsereturncontenttypetex_", frontend_httpresponsereturncontenttypetex_},
		{"frontend_httpresponsereturncontenttypetex__", frontend_httpresponsereturncontenttypetex__},
		{"frontend_httpresponsereturncontenttypetex___", frontend_httpresponsereturncontenttypetex___},
		{"frontend_httpresponsereturncontenttypetex____", frontend_httpresponsereturncontenttypetex____},
		{"frontend_httpresponsereturncontenttypetex_____", frontend_httpresponsereturncontenttypetex_____},
		{"frontend_httpresponsereturncontenttypetex______", frontend_httpresponsereturncontenttypetex______},
		{"frontend_httpresponsereturncontenttypetex_______", frontend_httpresponsereturncontenttypetex_______},
		{"frontend_httpresponsereturnstatus200conte", frontend_httpresponsereturnstatus200conte},
		{"frontend_httpresponsereturnstatus200conte_", frontend_httpresponsereturnstatus200conte_},
		{"frontend_httpresponsereturnstatus400defau", frontend_httpresponsereturnstatus400defau},
		{"frontend_httpresponsereturnstatus400error", frontend_httpresponsereturnstatus400error},
		{"frontend_httpresponsereturnstatus400error_", frontend_httpresponsereturnstatus400error_},
		{"frontend_httpresponsescincgpc01", frontend_httpresponsescincgpc01},
		{"frontend_httpresponsescincgpc01ifFALSE", frontend_httpresponsescincgpc01ifFALSE},
		{"frontend_httpresponsescincgpc11", frontend_httpresponsescincgpc11},
		{"frontend_httpresponsescincgpc11ifFALSE", frontend_httpresponsescincgpc11ifFALSE},
		{"frontend_httpresponsescsetgpt0110", frontend_httpresponsescsetgpt0110},
		{"frontend_httpresponsescsetgpt01hdrHostlow", frontend_httpresponsescsetgpt01hdrHostlow},
		{"frontend_httpresponsescsetgpt01hdrHostlow_", frontend_httpresponsescsetgpt01hdrHostlow_},
		{"frontend_httpresponsesendspoegroupengineg", frontend_httpresponsesendspoegroupengineg},
		{"frontend_httpresponsesetbandwidthlimitmyl", frontend_httpresponsesetbandwidthlimitmyl},
		{"frontend_httpresponsesetbandwidthlimitmyl_", frontend_httpresponsesetbandwidthlimitmyl_},
		{"frontend_httpresponsesetbandwidthlimitmyl__", frontend_httpresponsesetbandwidthlimitmyl__},
		{"frontend_httpresponsesetbandwidthlimitmyl___", frontend_httpresponsesetbandwidthlimitmyl___},
		{"frontend_httpresponsesetheaderXvaluevalue", frontend_httpresponsesetheaderXvaluevalue},
		{"frontend_httpresponsesetloglevelsilent", frontend_httpresponsesetloglevelsilent},
		{"frontend_httpresponsesetmapmaplstsrcreshd", frontend_httpresponsesetmapmaplstsrcreshd},
		{"frontend_httpresponsesetmapmaplstsrcreshd_", frontend_httpresponsesetmapmaplstsrcreshd_},
		{"frontend_httpresponsesetmark0x1Ab", frontend_httpresponsesetmark0x1Ab},
		{"frontend_httpresponsesetmark20", frontend_httpresponsesetmark20},
		{"frontend_httpresponsesetnice0", frontend_httpresponsesetnice0},
		{"frontend_httpresponsesetnice0ifFALSE", frontend_httpresponsesetnice0ifFALSE},
		{"frontend_httpresponsesetstatus503", frontend_httpresponsesetstatus503},
		{"frontend_httpresponsesettos0", frontend_httpresponsesettos0},
		{"frontend_httpresponsesettos0ifFALSE", frontend_httpresponsesettos0ifFALSE},
		{"frontend_httpresponsesetvarfmtreqmyvarres", frontend_httpresponsesetvarfmtreqmyvarres},
		{"frontend_httpresponsesetvarreqmyvarresfhd", frontend_httpresponsesetvarreqmyvarresfhd},
		{"frontend_httpresponsesilentdrop", frontend_httpresponsesilentdrop},
		{"frontend_httpresponsesilentdropifFALSE", frontend_httpresponsesilentdropifFALSE},
		{"frontend_httpresponsestrictmodeon", frontend_httpresponsestrictmodeon},
		{"frontend_httpresponsestrictmodeonifFALSE", frontend_httpresponsestrictmodeonifFALSE},
		{"frontend_httpresponsetracksc0src", frontend_httpresponsetracksc0src},
		{"frontend_httpresponsetracksc0srcifFALSE", frontend_httpresponsetracksc0srcifFALSE},
		{"frontend_httpresponsetracksc0srctabletrif", frontend_httpresponsetracksc0srctabletrif},
		{"frontend_httpresponsetracksc1src", frontend_httpresponsetracksc1src},
		{"frontend_httpresponsetracksc1srcifFALSE", frontend_httpresponsetracksc1srcifFALSE},
		{"frontend_httpresponsetracksc1srctabletrif", frontend_httpresponsetracksc1srctabletrif},
		{"frontend_httpresponsetracksc2src", frontend_httpresponsetracksc2src},
		{"frontend_httpresponsetracksc2srcifFALSE", frontend_httpresponsetracksc2srcifFALSE},
		{"frontend_httpresponsetracksc2srctabletrif", frontend_httpresponsetracksc2srctabletrif},
		{"frontend_httpresponseunsetvarreqmyvar", frontend_httpresponseunsetvarreqmyvar},
		{"frontend_httpresponseunsetvarreqmyvarifFA", frontend_httpresponseunsetvarreqmyvarifFA},
		{"frontend_httpresponsewaitforbodytime20s", frontend_httpresponsewaitforbodytime20s},
		{"frontend_httpresponsewaitforbodytime20sat", frontend_httpresponsewaitforbodytime20sat},
		{"frontend_httpresponsewaitforbodytime20sat_", frontend_httpresponsewaitforbodytime20sat_},
		{"frontend_httpresponsewaitforbodytime20sif", frontend_httpresponsewaitforbodytime20sif},
		{"frontend_log1270011515formatrfc5424sample", frontend_log1270011515formatrfc5424sample},
		{"frontend_log1270011515formatrfc5424sample_", frontend_log1270011515formatrfc5424sample_},
		{"frontend_log1270011515len8192formatrfc542", frontend_log1270011515len8192formatrfc542},
		{"frontend_log1270011515len8192formatrfc542_", frontend_log1270011515len8192formatrfc542_},
		{"frontend_log1270011515sample12local0", frontend_log1270011515sample12local0},
		{"frontend_log1270011515sample16local2", frontend_log1270011515sample16local2},
		{"frontend_log127001514local0noticenoticesa", frontend_log127001514local0noticenoticesa},
		{"frontend_log127001514local0noticeonlysend", frontend_log127001514local0noticeonlysend},
		{"frontend_logglobal", frontend_logglobal},
		{"frontend_logstderrformatrawdaemonnoticese", frontend_logstderrformatrawdaemonnoticese},
		{"frontend_logstdoutformatrawdaemonsendever", frontend_logstdoutformatrawdaemonsendever},
		{"frontend_logstdoutformatshortdaemonsendlo", frontend_logstdoutformatshortdaemonsendlo},
		{"frontend_monitorfailifnodb01nodb02", frontend_monitorfailifnodb01nodb02},
		{"frontend_monitorfailifready01ready02ready", frontend_monitorfailifready01ready02ready},
		{"frontend_monitorfailunlessbackendready", frontend_monitorfailunlessbackendready},
		{"frontend_monitorfailunlessready01ready02r", frontend_monitorfailunlessready01ready02r},
		{"frontend_monitorurihaproxytest", frontend_monitorurihaproxytest},
		{"frontend_nolog", frontend_nolog},
		{"frontend_nooptionhttplog", frontend_nooptionhttplog},
		{"frontend_optionforwardfor", frontend_optionforwardfor},
		{"frontend_optionforwardforcomment", frontend_optionforwardforcomment},
		{"frontend_optionforwardforexceptA", frontend_optionforwardforexceptA},
		{"frontend_optionforwardforexceptAcomment", frontend_optionforwardforexceptAcomment},
		{"frontend_optionforwardforexceptAheaderB", frontend_optionforwardforexceptAheaderB},
		{"frontend_optionforwardforexceptAheaderBif", frontend_optionforwardforexceptAheaderBif},
		{"frontend_optionhttplog", frontend_optionhttplog},
		{"frontend_optionhttplogclf", frontend_optionhttplogclf},
		{"frontend_optionhttplogclfcomment", frontend_optionhttplogclfcomment},
		{"frontend_optionhttplogcomment", frontend_optionhttplogcomment},
		{"frontend_optionhttprestrictreqhdrnamesdel", frontend_optionhttprestrictreqhdrnamesdel},
		{"frontend_optionhttprestrictreqhdrnamespre", frontend_optionhttprestrictreqhdrnamespre},
		{"frontend_optionhttprestrictreqhdrnamesrej", frontend_optionhttprestrictreqhdrnamesrej},
		{"frontend_optionoriginalto", frontend_optionoriginalto},
		{"frontend_optionoriginaltocomment", frontend_optionoriginaltocomment},
		{"frontend_optionoriginaltoexcept127001", frontend_optionoriginaltoexcept127001},
		{"frontend_optionoriginaltoexcept127001comm", frontend_optionoriginaltoexcept127001comm},
		{"frontend_optionoriginaltoexcept127001head", frontend_optionoriginaltoexcept127001head},
		{"frontend_optionoriginaltoheaderXClientDst", frontend_optionoriginaltoheaderXClientDst},
		{"frontend_redirectprefixhttpwwwbarcomcode3", frontend_redirectprefixhttpwwwbarcomcode3},
		{"frontend_statsadminifLOCALHOST", frontend_statsadminifLOCALHOST},
		{"frontend_statsauthadmin1AdMiN123", frontend_statsauthadmin1AdMiN123},
		{"frontend_statsbindprocess1234", frontend_statsbindprocess1234},
		{"frontend_statsbindprocess14", frontend_statsbindprocess14},
		{"frontend_statsbindprocessall", frontend_statsbindprocessall},
		{"frontend_statsbindprocesseven", frontend_statsbindprocesseven},
		{"frontend_statsbindprocessodd", frontend_statsbindprocessodd},
		{"frontend_statsenable", frontend_statsenable},
		{"frontend_statshideversion", frontend_statshideversion},
		{"frontend_statsmaxconn10", frontend_statsmaxconn10},
		{"frontend_statsrealmHAProxyStatistics", frontend_statsrealmHAProxyStatistics},
		{"frontend_statsrefresh10s", frontend_statsrefresh10s},
		{"frontend_statsscope", frontend_statsscope},
		{"frontend_statsshowdescMasternodeforEurope", frontend_statsshowdescMasternodeforEurope},
		{"frontend_statsshowlegends", frontend_statsshowlegends},
		{"frontend_statsshowmodules", frontend_statsshowmodules},
		{"frontend_statsshownode", frontend_statsshownode},
		{"frontend_statsshownodeEurope1", frontend_statsshownodeEurope1},
		{"frontend_statsuriadminstats", frontend_statsuriadminstats},
		{"frontend_sticktabletypeipsize1mexpire5mst", frontend_sticktabletypeipsize1mexpire5mst},
		{"frontend_sticktabletypeipsize1mexpire5mst_", frontend_sticktabletypeipsize1mexpire5mst_},
		{"frontend_sticktabletypestringlen1000size1", frontend_sticktabletypestringlen1000size1},
		{"frontend_sticktabletypestringlen1000size1_", frontend_sticktabletypestringlen1000size1_},
		{"frontend_tcprequestconnectionaccept", frontend_tcprequestconnectionaccept},
		{"frontend_tcprequestconnectionacceptifHTTP", frontend_tcprequestconnectionacceptifHTTP},
		{"frontend_tcprequestconnectioncapturereqpa", frontend_tcprequestconnectioncapturereqpa},
		{"frontend_tcprequestconnectionexpectnetsca", frontend_tcprequestconnectionexpectnetsca},
		{"frontend_tcprequestconnectionexpectnetsca_", frontend_tcprequestconnectionexpectnetsca_},
		{"frontend_tcprequestconnectionexpectproxyl", frontend_tcprequestconnectionexpectproxyl},
		{"frontend_tcprequestconnectionluafoo", frontend_tcprequestconnectionluafoo},
		{"frontend_tcprequestconnectionluafooparami", frontend_tcprequestconnectionluafooparami},
		{"frontend_tcprequestconnectionluafooparamp", frontend_tcprequestconnectionluafooparamp},
		{"frontend_tcprequestconnectionreject", frontend_tcprequestconnectionreject},
		{"frontend_tcprequestconnectionrejectifHTTP", frontend_tcprequestconnectionrejectifHTTP},
		{"frontend_tcprequestconnectionscincgpc02", frontend_tcprequestconnectionscincgpc02},
		{"frontend_tcprequestconnectionscincgpc02if", frontend_tcprequestconnectionscincgpc02if},
		{"frontend_tcprequestconnectionscincgpc12", frontend_tcprequestconnectionscincgpc12},
		{"frontend_tcprequestconnectionscincgpc12if", frontend_tcprequestconnectionscincgpc12if},
		{"frontend_tcprequestconnectionscsetgpt0013", frontend_tcprequestconnectionscsetgpt0013},
		{"frontend_tcprequestconnectionscsetgpt0013_", frontend_tcprequestconnectionscsetgpt0013_},
		{"frontend_tcprequestconnectionsetmark0x1Ab", frontend_tcprequestconnectionsetmark0x1Ab},
		{"frontend_tcprequestconnectionsetmark20", frontend_tcprequestconnectionsetmark20},
		{"frontend_tcprequestconnectionsetsrchdrxfo", frontend_tcprequestconnectionsetsrchdrxfo},
		{"frontend_tcprequestconnectionsetsrchdrxfo_", frontend_tcprequestconnectionsetsrchdrxfo_},
		{"frontend_tcprequestconnectionsetsrcporthd", frontend_tcprequestconnectionsetsrcporthd},
		{"frontend_tcprequestconnectionsetsrcporthd_", frontend_tcprequestconnectionsetsrcporthd_},
		{"frontend_tcprequestconnectionsetsrcsrcipm", frontend_tcprequestconnectionsetsrcsrcipm},
		{"frontend_tcprequestconnectionsetsrcsrcipm_", frontend_tcprequestconnectionsetsrcsrcipm_},
		{"frontend_tcprequestconnectionsettos0", frontend_tcprequestconnectionsettos0},
		{"frontend_tcprequestconnectionsettos0ifFAL", frontend_tcprequestconnectionsettos0ifFAL},
		{"frontend_tcprequestconnectionsilentdrop", frontend_tcprequestconnectionsilentdrop},
		{"frontend_tcprequestconnectionsilentdropif", frontend_tcprequestconnectionsilentdropif},
		{"frontend_tcprequestconnectiontracksc0src", frontend_tcprequestconnectiontracksc0src},
		{"frontend_tcprequestconnectiontracksc0srci", frontend_tcprequestconnectiontracksc0srci},
		{"frontend_tcprequestconnectiontracksc0srct", frontend_tcprequestconnectiontracksc0srct},
		{"frontend_tcprequestconnectiontracksc0srct_", frontend_tcprequestconnectiontracksc0srct_},
		{"frontend_tcprequestconnectiontracksc1src", frontend_tcprequestconnectiontracksc1src},
		{"frontend_tcprequestconnectiontracksc1srci", frontend_tcprequestconnectiontracksc1srci},
		{"frontend_tcprequestconnectiontracksc1srct", frontend_tcprequestconnectiontracksc1srct},
		{"frontend_tcprequestconnectiontracksc1srct_", frontend_tcprequestconnectiontracksc1srct_},
		{"frontend_tcprequestconnectiontracksc2src", frontend_tcprequestconnectiontracksc2src},
		{"frontend_tcprequestconnectiontracksc2srci", frontend_tcprequestconnectiontracksc2srci},
		{"frontend_tcprequestconnectiontracksc2srct", frontend_tcprequestconnectiontracksc2srct},
		{"frontend_tcprequestconnectiontracksc2srct_", frontend_tcprequestconnectiontracksc2srct_},
		{"frontend_tcprequestcontentaccept", frontend_tcprequestcontentaccept},
		{"frontend_tcprequestcontentacceptifHTTP", frontend_tcprequestcontentacceptifHTTP},
		{"frontend_tcprequestcontentcapturereqpaylo", frontend_tcprequestcontentcapturereqpaylo},
		{"frontend_tcprequestcontentcapturereqpaylo_", frontend_tcprequestcontentcapturereqpaylo_},
		{"frontend_tcprequestcontentdoresolvetxnmyi", frontend_tcprequestcontentdoresolvetxnmyi},
		{"frontend_tcprequestcontentdoresolvetxnmyi_", frontend_tcprequestcontentdoresolvetxnmyi_},
		{"frontend_tcprequestcontentluafoo", frontend_tcprequestcontentluafoo},
		{"frontend_tcprequestcontentluafooparamifHT", frontend_tcprequestcontentluafooparamifHT},
		{"frontend_tcprequestcontentluafooparampara", frontend_tcprequestcontentluafooparampara},
		{"frontend_tcprequestcontentreject", frontend_tcprequestcontentreject},
		{"frontend_tcprequestcontentrejectifHTTP", frontend_tcprequestcontentrejectifHTTP},
		{"frontend_tcprequestcontentsendspoegroupen", frontend_tcprequestcontentsendspoegroupen},
		{"frontend_tcprequestcontentsetbandwidthlim", frontend_tcprequestcontentsetbandwidthlim},
		{"frontend_tcprequestcontentsetbandwidthlim_", frontend_tcprequestcontentsetbandwidthlim_},
		{"frontend_tcprequestcontentsetbandwidthlim__", frontend_tcprequestcontentsetbandwidthlim__},
		{"frontend_tcprequestcontentsetbandwidthlim___", frontend_tcprequestcontentsetbandwidthlim___},
		{"frontend_tcprequestcontentsetdstipv410001", frontend_tcprequestcontentsetdstipv410001},
		{"frontend_tcprequestcontentsetloglevelsile", frontend_tcprequestcontentsetloglevelsile},
		{"frontend_tcprequestcontentsetloglevelsile_", frontend_tcprequestcontentsetloglevelsile_},
		{"frontend_tcprequestcontentsetmark0x1AbifF", frontend_tcprequestcontentsetmark0x1AbifF},
		{"frontend_tcprequestcontentsetmark20", frontend_tcprequestcontentsetmark20},
		{"frontend_tcprequestcontentsetnice0", frontend_tcprequestcontentsetnice0},
		{"frontend_tcprequestcontentsetnice0ifFALSE", frontend_tcprequestcontentsetnice0ifFALSE},
		{"frontend_tcprequestcontentsetpriorityclas", frontend_tcprequestcontentsetpriorityclas},
		{"frontend_tcprequestcontentsetpriorityclas_", frontend_tcprequestcontentsetpriorityclas_},
		{"frontend_tcprequestcontentsetpriorityoffs", frontend_tcprequestcontentsetpriorityoffs},
		{"frontend_tcprequestcontentsetpriorityoffs_", frontend_tcprequestcontentsetpriorityoffs_},
		{"frontend_tcprequestcontentsetsrcporthdrpo", frontend_tcprequestcontentsetsrcporthdrpo},
		{"frontend_tcprequestcontentsetsrcporthdrpo_", frontend_tcprequestcontentsetsrcporthdrpo_},
		{"frontend_tcprequestcontentsettos0", frontend_tcprequestcontentsettos0},
		{"frontend_tcprequestcontentsettos0ifFALSE", frontend_tcprequestcontentsettos0ifFALSE},
		{"frontend_tcprequestcontentsetvarfmtsessdn", frontend_tcprequestcontentsetvarfmtsessdn},
		{"frontend_tcprequestcontentsetvarfmtsesssr", frontend_tcprequestcontentsetvarfmtsesssr},
		{"frontend_tcprequestcontentsetvarsessdnssl", frontend_tcprequestcontentsetvarsessdnssl},
		{"frontend_tcprequestcontentsetvarsesssrcsr", frontend_tcprequestcontentsetvarsesssrcsr},
		{"frontend_tcprequestcontentsilentdrop", frontend_tcprequestcontentsilentdrop},
		{"frontend_tcprequestcontentsilentdropifHTT", frontend_tcprequestcontentsilentdropifHTT},
		{"frontend_tcprequestcontentswitchmodehttp", frontend_tcprequestcontentswitchmodehttp},
		{"frontend_tcprequestcontentswitchmodehttpi", frontend_tcprequestcontentswitchmodehttpi},
		{"frontend_tcprequestcontentswitchmodehttpp", frontend_tcprequestcontentswitchmodehttpp},
		{"frontend_tcprequestcontenttracksc0src", frontend_tcprequestcontenttracksc0src},
		{"frontend_tcprequestcontenttracksc0srcifso", frontend_tcprequestcontenttracksc0srcifso},
		{"frontend_tcprequestcontenttracksc0srctabl", frontend_tcprequestcontenttracksc0srctabl},
		{"frontend_tcprequestcontenttracksc0srctabl_", frontend_tcprequestcontenttracksc0srctabl_},
		{"frontend_tcprequestcontenttracksc1src", frontend_tcprequestcontenttracksc1src},
		{"frontend_tcprequestcontenttracksc1srcifso", frontend_tcprequestcontenttracksc1srcifso},
		{"frontend_tcprequestcontenttracksc1srctabl", frontend_tcprequestcontenttracksc1srctabl},
		{"frontend_tcprequestcontenttracksc1srctabl_", frontend_tcprequestcontenttracksc1srctabl_},
		{"frontend_tcprequestcontenttracksc2src", frontend_tcprequestcontenttracksc2src},
		{"frontend_tcprequestcontenttracksc2srcifso", frontend_tcprequestcontenttracksc2srcifso},
		{"frontend_tcprequestcontenttracksc2srctabl", frontend_tcprequestcontenttracksc2srctabl},
		{"frontend_tcprequestcontenttracksc2srctabl_", frontend_tcprequestcontenttracksc2srctabl_},
		{"frontend_tcprequestcontentunsetvarsessdn", frontend_tcprequestcontentunsetvarsessdn},
		{"frontend_tcprequestcontentunsetvarsesssrc", frontend_tcprequestcontentunsetvarsesssrc},
		{"frontend_tcprequestcontentuseserviceluade", frontend_tcprequestcontentuseserviceluade},
		{"frontend_tcprequestcontentuseserviceluade_", frontend_tcprequestcontentuseserviceluade_},
		{"frontend_tcprequestsessionaccept", frontend_tcprequestsessionaccept},
		{"frontend_tcprequestsessionacceptifHTTP", frontend_tcprequestsessionacceptifHTTP},
		{"frontend_tcprequestsessionreject", frontend_tcprequestsessionreject},
		{"frontend_tcprequestsessionrejectifHTTP", frontend_tcprequestsessionrejectifHTTP},
		{"frontend_tcprequestsessionscincgpc02", frontend_tcprequestsessionscincgpc02},
		{"frontend_tcprequestsessionscincgpc02ifise", frontend_tcprequestsessionscincgpc02ifise},
		{"frontend_tcprequestsessionscincgpc12", frontend_tcprequestsessionscincgpc12},
		{"frontend_tcprequestsessionscincgpc12ifise", frontend_tcprequestsessionscincgpc12ifise},
		{"frontend_tcprequestsessionscsetgpt001337", frontend_tcprequestsessionscsetgpt001337},
		{"frontend_tcprequestsessionscsetgpt001337i", frontend_tcprequestsessionscsetgpt001337i},
		{"frontend_tcprequestsessionsetvarfmtsessdn", frontend_tcprequestsessionsetvarfmtsessdn},
		{"frontend_tcprequestsessionsetvarfmtsesssr", frontend_tcprequestsessionsetvarfmtsesssr},
		{"frontend_tcprequestsessionsetvarsessdnssl", frontend_tcprequestsessionsetvarsessdnssl},
		{"frontend_tcprequestsessionsetvarsesssrcsr", frontend_tcprequestsessionsetvarsesssrcsr},
		{"frontend_tcprequestsessionsilentdrop", frontend_tcprequestsessionsilentdrop},
		{"frontend_tcprequestsessionsilentdropifHTT", frontend_tcprequestsessionsilentdropifHTT},
		{"frontend_tcprequestsessiontracksc0src", frontend_tcprequestsessiontracksc0src},
		{"frontend_tcprequestsessiontracksc0srcifso", frontend_tcprequestsessiontracksc0srcifso},
		{"frontend_tcprequestsessiontracksc0srctabl", frontend_tcprequestsessiontracksc0srctabl},
		{"frontend_tcprequestsessiontracksc0srctabl_", frontend_tcprequestsessiontracksc0srctabl_},
		{"frontend_tcprequestsessiontracksc1src", frontend_tcprequestsessiontracksc1src},
		{"frontend_tcprequestsessiontracksc1srcifso", frontend_tcprequestsessiontracksc1srcifso},
		{"frontend_tcprequestsessiontracksc1srctabl", frontend_tcprequestsessiontracksc1srctabl},
		{"frontend_tcprequestsessiontracksc1srctabl_", frontend_tcprequestsessiontracksc1srctabl_},
		{"frontend_tcprequestsessiontracksc2src", frontend_tcprequestsessiontracksc2src},
		{"frontend_tcprequestsessiontracksc2srcifso", frontend_tcprequestsessiontracksc2srcifso},
		{"frontend_tcprequestsessiontracksc2srctabl", frontend_tcprequestsessiontracksc2srctabl},
		{"frontend_tcprequestsessiontracksc2srctabl_", frontend_tcprequestsessiontracksc2srctabl_},
		{"frontend_tcprequestsessionunsetvarsessdn", frontend_tcprequestsessionunsetvarsessdn},
		{"frontend_tcprequestsessionunsetvarsesssrc", frontend_tcprequestsessionunsetvarsesssrc},
		{"frontend_tcpresponsecontentclose", frontend_tcpresponsecontentclose},
		{"frontend_tcpresponsecontentcloseifHTTP", frontend_tcpresponsecontentcloseifHTTP},
		{"frontend_tcpresponsecontentluafoo", frontend_tcpresponsecontentluafoo},
		{"frontend_tcpresponsecontentluafooparamifH", frontend_tcpresponsecontentluafooparamifH},
		{"frontend_tcpresponsecontentluafooparampar", frontend_tcpresponsecontentluafooparampar},
		{"frontend_tcpresponsecontentsetbandwidthli", frontend_tcpresponsecontentsetbandwidthli},
		{"frontend_tcpresponsecontentsetbandwidthli_", frontend_tcpresponsecontentsetbandwidthli_},
		{"frontend_tcpresponsecontentsetbandwidthli__", frontend_tcpresponsecontentsetbandwidthli__},
		{"frontend_tcpresponsecontentsetbandwidthli___", frontend_tcpresponsecontentsetbandwidthli___},
		{"frontend_tcpresponsecontentsetdstdest", frontend_tcpresponsecontentsetdstdest},
		{"frontend_tcpresponsecontentsetloglevelsil", frontend_tcpresponsecontentsetloglevelsil},
		{"frontend_tcpresponsecontentsetloglevelsil_", frontend_tcpresponsecontentsetloglevelsil_},
		{"frontend_tcpresponsecontentsetmark0x1Abif", frontend_tcpresponsecontentsetmark0x1Abif},
		{"frontend_tcpresponsecontentsetmark20", frontend_tcpresponsecontentsetmark20},
		{"frontend_tcpresponsecontentsetnice0", frontend_tcpresponsecontentsetnice0},
		{"frontend_tcpresponsecontentsetnice0ifFALS", frontend_tcpresponsecontentsetnice0ifFALS},
		{"frontend_tcpresponsecontentsettos0", frontend_tcpresponsecontentsettos0},
		{"frontend_tcpresponsecontentsettos0ifFALSE", frontend_tcpresponsecontentsettos0ifFALSE},
		{"frontend_tcpresponsecontentunsetvarsessmy", frontend_tcpresponsecontentunsetvarsessmy},
		{"frontend_uniqueidformatXocicpfifpTsrtpid", frontend_uniqueidformatXocicpfifpTsrtpid},
		{"frontend_uniqueidformatXocpfifpTsrtpid", frontend_uniqueidformatXocpfifpTsrtpid},
		{"frontend_uniqueidformatXofifpTsrtpid", frontend_uniqueidformatXofifpTsrtpid},
		{"frontend_uniqueidheaderXUniqueID", frontend_uniqueidheaderXUniqueID},
		{"frontend_usebackendtestdeny", frontend_usebackendtestdeny},
		{"frontend_usebackendtestifTRUE", frontend_usebackendtestifTRUE},
		{"frontend_usebackendtestifTRUEdeny", frontend_usebackendtestifTRUEdeny},
	}
	for _, config := range tests {
		t.Run(config.Name, func(t *testing.T) {
			t.Parallel()
			var buffer bytes.Buffer
			buffer.WriteString(config.Config)
			p, err := parser.New(options.Reader(&buffer))
			if err != nil {
				t.Fatalf(err.Error())
			}
			result := p.String()
			if result != config.Config {
				compare(t, config.Config, result)
				t.Error("======== ORIGINAL =========")
				t.Error(config.Config)
				t.Error("======== RESULT ===========")
				t.Error(result)
				t.Error("===========================")
				t.Fatalf("configurations does not match")
			}
		})
	}
}
