// Code generated by go generate; DO NOT EDIT.
/*
Copyright 2019 HAProxy Technologies

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

package integration_test

import (
	"bytes"
	"testing"

	parser "github.com/haproxytech/config-parser/v4"
	"github.com/haproxytech/config-parser/v4/options"
)

func TestWholeConfigsSectionsBackend(t *testing.T) {
	t.Parallel()
	tests := []struct {
		Name, Config string
	}{
		{"backend_acladdpathaddacl", backend_acladdpathaddacl},
		{"backend_aclbeappoknbsrvbeappgt0", backend_aclbeappoknbsrvbeappgt0},
		{"backend_aclbestaticoknbsrvbestaticgt0", backend_aclbestaticoknbsrvbestaticgt0},
		{"backend_aclcleardstport80", backend_aclcleardstport80},
		{"backend_aclcookiesethdrsubcookieSEEN1", backend_aclcookiesethdrsubcookieSEEN1},
		{"backend_acldelpathdelacl", backend_acldelpathdelacl},
		{"backend_aclkeyreqhdrXAddACLKeymfound", backend_aclkeyreqhdrXAddACLKeymfound},
		{"backend_aclloginpageurlbeglogin", backend_aclloginpageurlbeglogin},
		{"backend_acllogouturlbeglogout", backend_acllogouturlbeglogout},
		{"backend_aclmyhosthdrHostfmyhostlst", backend_aclmyhosthdrHostfmyhostlst},
		{"backend_aclsecuredstport8080", backend_aclsecuredstport8080},
		{"backend_acluidgivenurlregloginuserid", backend_acluidgivenurlregloginuserid},
		{"backend_aclurlstaticpathbegistaticimages", backend_aclurlstaticpathbegistaticimages},
		{"backend_aclurlstaticpathendijpggifpngcss", backend_aclurlstaticpathendijpggifpngcss},
		{"backend_aclurlstatspathbegstats", backend_aclurlstatspathbegstats},
		{"backend_balancehashreqcookieclientid", backend_balancehashreqcookieclientid},
		{"backend_balancehashreqhdripxforwardedfor", backend_balancehashreqhdripxforwardedfor},
		{"backend_balancehashreqhdripxforwardedfor_", backend_balancehashreqhdripxforwardedfor_},
		{"backend_balancehdrhdrName", backend_balancehdrhdrName},
		{"backend_balancehdrhdrNameusedomainonly", backend_balancehdrhdrNameusedomainonly},
		{"backend_balancerandom", backend_balancerandom},
		{"backend_balancerandom15", backend_balancerandom15},
		{"backend_balancerdpcookie", backend_balancerdpcookie},
		{"backend_balancerdpcookiesomething", backend_balancerdpcookiesomething},
		{"backend_balanceroundrobin", backend_balanceroundrobin},
		{"backend_balanceuri", backend_balanceuri},
		{"backend_balanceuridepth8", backend_balanceuridepth8},
		{"backend_balanceuridepth8len12whole", backend_balanceuridepth8len12whole},
		{"backend_balanceuridepth8whole", backend_balanceuridepth8whole},
		{"backend_balanceurilen12", backend_balanceurilen12},
		{"backend_balanceuriwhole", backend_balanceuriwhole},
		{"backend_balanceurlparam", backend_balanceurlparam},
		{"backend_balanceurlparamcheckpost10", backend_balanceurlparamcheckpost10},
		{"backend_balanceurlparamcheckpost10maxwai", backend_balanceurlparamcheckpost10maxwai},
		{"backend_balanceurlparamsessionid", backend_balanceurlparamsessionid},
		{"backend_balanceurlparamsessionidcheckpos", backend_balanceurlparamsessionidcheckpos},
		{"backend_cookiemyCookieattrSameSiteStrict", backend_cookiemyCookieattrSameSiteStrict},
		{"backend_cookiemyCookiedomaindom1domaindo", backend_cookiemyCookiedomaindom1domaindo},
		{"backend_cookiemyCookiedomaindom1domaindo_", backend_cookiemyCookiedomaindom1domaindo_},
		{"backend_cookiemyCookiedomaindom1indirect", backend_cookiemyCookiedomaindom1indirect},
		{"backend_cookiemyCookieindirectmaxidle10", backend_cookiemyCookieindirectmaxidle10},
		{"backend_cookiemyCookieindirectmaxidle10m", backend_cookiemyCookieindirectmaxidle10m},
		{"backend_cookiemyCookieindirectmaxlife10", backend_cookiemyCookieindirectmaxlife10},
		{"backend_cookietest", backend_cookietest},
		{"backend_defaultserveraddr1", backend_defaultserveraddr1},
		{"backend_defaultserveraddr127001", backend_defaultserveraddr127001},
		{"backend_defaultserveragentaddr127001", backend_defaultserveragentaddr127001},
		{"backend_defaultserveragentaddrsitecom", backend_defaultserveragentaddrsitecom},
		{"backend_defaultserveragentcheck", backend_defaultserveragentcheck},
		{"backend_defaultserveragentinter1000ms", backend_defaultserveragentinter1000ms},
		{"backend_defaultserveragentport1", backend_defaultserveragentport1},
		{"backend_defaultserveragentport65535", backend_defaultserveragentport65535},
		{"backend_defaultserveragentsendname", backend_defaultserveragentsendname},
		{"backend_defaultserverallow0rtt", backend_defaultserverallow0rtt},
		{"backend_defaultserveralpnh2", backend_defaultserveralpnh2},
		{"backend_defaultserveralpnh2http11", backend_defaultserveralpnh2http11},
		{"backend_defaultserveralpnhttp11", backend_defaultserveralpnhttp11},
		{"backend_defaultserverbackup", backend_defaultserverbackup},
		{"backend_defaultservercafilecertcrt", backend_defaultservercafilecertcrt},
		{"backend_defaultservercheck", backend_defaultservercheck},
		{"backend_defaultservercheckalpnhttp10", backend_defaultservercheckalpnhttp10},
		{"backend_defaultservercheckalpnhttp11http", backend_defaultservercheckalpnhttp11http},
		{"backend_defaultservercheckprotoh2", backend_defaultservercheckprotoh2},
		{"backend_defaultserverchecksendproxy", backend_defaultserverchecksendproxy},
		{"backend_defaultservercheckssl", backend_defaultservercheckssl},
		{"backend_defaultservercheckviasocks4", backend_defaultservercheckviasocks4},
		{"backend_defaultserverciphersECDHEECDSACH", backend_defaultserverciphersECDHEECDSACH},
		{"backend_defaultserverciphersECDHERSAAES1", backend_defaultserverciphersECDHERSAAES1},
		{"backend_defaultserverciphersuitesECDHEEC", backend_defaultserverciphersuitesECDHEEC},
		{"backend_defaultservercookievalue", backend_defaultservercookievalue},
		{"backend_defaultservercrlfilefilepem", backend_defaultservercrlfilefilepem},
		{"backend_defaultservercrtcertpem", backend_defaultservercrtcertpem},
		{"backend_defaultserverdisabled", backend_defaultserverdisabled},
		{"backend_defaultserverdowninter3500ms", backend_defaultserverdowninter3500ms},
		{"backend_defaultserverenabled", backend_defaultserverenabled},
		{"backend_defaultservererrorlimit50", backend_defaultservererrorlimit50},
		{"backend_defaultserverfall1rise2inter3spo", backend_defaultserverfall1rise2inter3spo},
		{"backend_defaultserverfall30", backend_defaultserverfall30},
		{"backend_defaultserverfastinter2500ms", backend_defaultserverfastinter2500ms},
		{"backend_defaultserverfastinterunknown", backend_defaultserverfastinterunknown},
		{"backend_defaultserverforcesslv3", backend_defaultserverforcesslv3},
		{"backend_defaultserverforcetlsv10", backend_defaultserverforcetlsv10},
		{"backend_defaultserverforcetlsv11", backend_defaultserverforcetlsv11},
		{"backend_defaultserverforcetlsv12", backend_defaultserverforcetlsv12},
		{"backend_defaultserverforcetlsv13", backend_defaultserverforcetlsv13},
		{"backend_defaultserverinitaddrlastlibcnon", backend_defaultserverinitaddrlastlibcnon},
		{"backend_defaultserverinitaddrlastlibcnon_", backend_defaultserverinitaddrlastlibcnon_},
		{"backend_defaultserverinter1000weight13", backend_defaultserverinter1000weight13},
		{"backend_defaultserverinter1500ms", backend_defaultserverinter1500ms},
		{"backend_defaultserverlogprotolegacy", backend_defaultserverlogprotolegacy},
		{"backend_defaultserverlogprotooctetcount", backend_defaultserverlogprotooctetcount},
		{"backend_defaultservermaxconn1", backend_defaultservermaxconn1},
		{"backend_defaultservermaxconn50", backend_defaultservermaxconn50},
		{"backend_defaultservermaxqueue0", backend_defaultservermaxqueue0},
		{"backend_defaultservermaxqueue1000", backend_defaultservermaxqueue1000},
		{"backend_defaultservermaxreuse0", backend_defaultservermaxreuse0},
		{"backend_defaultservermaxreuse1", backend_defaultservermaxreuse1},
		{"backend_defaultservermaxreuse1_", backend_defaultservermaxreuse1_},
		{"backend_defaultserverminconn1", backend_defaultserverminconn1},
		{"backend_defaultserverminconn50", backend_defaultserverminconn50},
		{"backend_defaultservernamespacetest", backend_defaultservernamespacetest},
		{"backend_defaultservernoagentcheck", backend_defaultservernoagentcheck},
		{"backend_defaultservernobackup", backend_defaultservernobackup},
		{"backend_defaultservernocheck", backend_defaultservernocheck},
		{"backend_defaultservernocheckssl", backend_defaultservernocheckssl},
		{"backend_defaultservernonstick", backend_defaultservernonstick},
		{"backend_defaultservernosendproxyv2", backend_defaultservernosendproxyv2},
		{"backend_defaultservernosendproxyv2ssl", backend_defaultservernosendproxyv2ssl},
		{"backend_defaultservernosendproxyv2sslcn", backend_defaultservernosendproxyv2sslcn},
		{"backend_defaultservernossl", backend_defaultservernossl},
		{"backend_defaultservernosslreuse", backend_defaultservernosslreuse},
		{"backend_defaultservernosslv3", backend_defaultservernosslv3},
		{"backend_defaultservernotfo", backend_defaultservernotfo},
		{"backend_defaultservernotlstickets", backend_defaultservernotlstickets},
		{"backend_defaultservernotlsv10", backend_defaultservernotlsv10},
		{"backend_defaultservernotlsv11", backend_defaultservernotlsv11},
		{"backend_defaultservernotlsv12", backend_defaultservernotlsv12},
		{"backend_defaultservernotlsv13", backend_defaultservernotlsv13},
		{"backend_defaultservernoverifyhost", backend_defaultservernoverifyhost},
		{"backend_defaultservernpnhttp11http10", backend_defaultservernpnhttp11http10},
		{"backend_defaultserverobservelayer4", backend_defaultserverobservelayer4},
		{"backend_defaultserverobservelayer7", backend_defaultserverobservelayer7},
		{"backend_defaultserveronerrorfailcheck", backend_defaultserveronerrorfailcheck},
		{"backend_defaultserveronerrorfastinter", backend_defaultserveronerrorfastinter},
		{"backend_defaultserveronerrormarkdown", backend_defaultserveronerrormarkdown},
		{"backend_defaultserveronerrorsuddendeath", backend_defaultserveronerrorsuddendeath},
		{"backend_defaultserveronmarkeddownshutdow", backend_defaultserveronmarkeddownshutdow},
		{"backend_defaultserveronmarkedupshutdownb", backend_defaultserveronmarkedupshutdownb},
		{"backend_defaultserverpoollowconn384", backend_defaultserverpoollowconn384},
		{"backend_defaultserverpoolmaxconn0", backend_defaultserverpoolmaxconn0},
		{"backend_defaultserverpoolmaxconn1", backend_defaultserverpoolmaxconn1},
		{"backend_defaultserverpoolmaxconn100", backend_defaultserverpoolmaxconn100},
		{"backend_defaultserverpoolpurgedelay0", backend_defaultserverpoolpurgedelay0},
		{"backend_defaultserverpoolpurgedelay5", backend_defaultserverpoolpurgedelay5},
		{"backend_defaultserverpoolpurgedelay500", backend_defaultserverpoolpurgedelay500},
		{"backend_defaultserverport27015", backend_defaultserverport27015},
		{"backend_defaultserverport27016", backend_defaultserverport27016},
		{"backend_defaultserverprotoh2", backend_defaultserverprotoh2},
		{"backend_defaultserverproxyv2optionsssl", backend_defaultserverproxyv2optionsssl},
		{"backend_defaultserverproxyv2optionssslce", backend_defaultserverproxyv2optionssslce},
		{"backend_defaultserverproxyv2optionssslce_", backend_defaultserverproxyv2optionssslce_},
		{"backend_defaultserverredirhttpimage1mydo", backend_defaultserverredirhttpimage1mydo},
		{"backend_defaultserverredirhttpsimage1myd", backend_defaultserverredirhttpsimage1myd},
		{"backend_defaultserverresolvenet100008", backend_defaultserverresolvenet100008},
		{"backend_defaultserverresolvenet100008100", backend_defaultserverresolvenet100008100},
		{"backend_defaultserverresolveoptsallowdup", backend_defaultserverresolveoptsallowdup},
		{"backend_defaultserverresolveoptsallowdup_", backend_defaultserverresolveoptsallowdup_},
		{"backend_defaultserverresolveoptsignorewe", backend_defaultserverresolveoptsignorewe},
		{"backend_defaultserverresolveoptspreventd", backend_defaultserverresolveoptspreventd},
		{"backend_defaultserverresolvepreferipv4", backend_defaultserverresolvepreferipv4},
		{"backend_defaultserverresolvepreferipv6", backend_defaultserverresolvepreferipv6},
		{"backend_defaultserverresolversmydns", backend_defaultserverresolversmydns},
		{"backend_defaultserverrise2", backend_defaultserverrise2},
		{"backend_defaultserverrise200", backend_defaultserverrise200},
		{"backend_defaultserversendproxy", backend_defaultserversendproxy},
		{"backend_defaultserversendproxyv2", backend_defaultserversendproxyv2},
		{"backend_defaultserversendproxyv2ssl", backend_defaultserversendproxyv2ssl},
		{"backend_defaultserversendproxyv2sslcn", backend_defaultserversendproxyv2sslcn},
		{"backend_defaultserverslowstart2000ms", backend_defaultserverslowstart2000ms},
		{"backend_defaultserversniTODO", backend_defaultserversniTODO},
		{"backend_defaultserversocks412700181", backend_defaultserversocks412700181},
		{"backend_defaultserversourceTODO", backend_defaultserversourceTODO},
		{"backend_defaultserverssl", backend_defaultserverssl},
		{"backend_defaultserversslmaxverSSLv3", backend_defaultserversslmaxverSSLv3},
		{"backend_defaultserversslmaxverTLSv10", backend_defaultserversslmaxverTLSv10},
		{"backend_defaultserversslmaxverTLSv11", backend_defaultserversslmaxverTLSv11},
		{"backend_defaultserversslmaxverTLSv12", backend_defaultserversslmaxverTLSv12},
		{"backend_defaultserversslmaxverTLSv13", backend_defaultserversslmaxverTLSv13},
		{"backend_defaultserversslminverSSLv3", backend_defaultserversslminverSSLv3},
		{"backend_defaultserversslminverTLSv10", backend_defaultserversslminverTLSv10},
		{"backend_defaultserversslminverTLSv11", backend_defaultserversslminverTLSv11},
		{"backend_defaultserversslminverTLSv12", backend_defaultserversslminverTLSv12},
		{"backend_defaultserversslminverTLSv13", backend_defaultserversslminverTLSv13},
		{"backend_defaultserversslreuse", backend_defaultserversslreuse},
		{"backend_defaultserverstick", backend_defaultserverstick},
		{"backend_defaultservertcput20ms", backend_defaultservertcput20ms},
		{"backend_defaultservertfo", backend_defaultservertfo},
		{"backend_defaultservertlstickets", backend_defaultservertlstickets},
		{"backend_defaultservertrackTODO", backend_defaultservertrackTODO},
		{"backend_defaultserververifyhostsitecom", backend_defaultserververifyhostsitecom},
		{"backend_defaultserververifynone", backend_defaultserververifynone},
		{"backend_defaultserververifyrequired", backend_defaultserververifyrequired},
		{"backend_defaultserverweight1", backend_defaultserverweight1},
		{"backend_defaultserverweight128", backend_defaultserverweight128},
		{"backend_defaultserverweight256", backend_defaultserverweight256},
		{"backend_defaultserverwsauto", backend_defaultserverwsauto},
		{"backend_defaultserverwsh1", backend_defaultserverwsh1},
		{"backend_defaultserverwsh2", backend_defaultserverwsh2},
		{"backend_emailalertfromadminexamplecom", backend_emailalertfromadminexamplecom},
		{"backend_emailalertlevelwarning", backend_emailalertlevelwarning},
		{"backend_emailalertmailerslocalmailers", backend_emailalertmailerslocalmailers},
		{"backend_emailalertmyhostnamesrv01example", backend_emailalertmyhostnamesrv01example},
		{"backend_emailalerttoabcd", backend_emailalerttoabcd},
		{"backend_emailalerttoazxy", backend_emailalerttoazxy},
		{"backend_emailalerttosupportexamplecom", backend_emailalerttosupportexamplecom},
		{"backend_errorfile400etchaproxyerrorfiles", backend_errorfile400etchaproxyerrorfiles},
		{"backend_errorfile403etchaproxyerrorfiles", backend_errorfile403etchaproxyerrorfiles},
		{"backend_errorfile408devnullworkaroundChr", backend_errorfile408devnullworkaroundChr},
		{"backend_errorfile503etchaproxyerrorfiles", backend_errorfile503etchaproxyerrorfiles},
		{"backend_errorfileserrorssection", backend_errorfileserrorssection},
		{"backend_errorfileserrorssection400", backend_errorfileserrorssection400},
		{"backend_errorfileserrorssection400401500", backend_errorfileserrorssection400401500},
		{"backend_errorloc302400httpwwwmyawesomesi", backend_errorloc302400httpwwwmyawesomesi},
		{"backend_errorloc302404httpwwwmyawesomesi", backend_errorloc302404httpwwwmyawesomesi},
		{"backend_errorloc302501errorpage", backend_errorloc302501errorpage},
		{"backend_errorloc303400httpwwwmyawesomesi", backend_errorloc303400httpwwwmyawesomesi},
		{"backend_errorloc303404httpwwwmyawesomesi", backend_errorloc303404httpwwwmyawesomesi},
		{"backend_errorloc303501errorpage", backend_errorloc303501errorpage},
		{"backend_externalcheckcommandbintrue", backend_externalcheckcommandbintrue},
		{"backend_externalcheckpathusrbinbin", backend_externalcheckpathusrbinbin},
		{"backend_forcepersistifaclname", backend_forcepersistifaclname},
		{"backend_forcepersistunlessaclname", backend_forcepersistunlessaclname},
		{"backend_hashtypeavalanche", backend_hashtypeavalanche},
		{"backend_hashtypeconsistent", backend_hashtypeconsistent},
		{"backend_hashtypeconsistentavalanche", backend_hashtypeconsistentavalanche},
		{"backend_hashtypeconsistentcrc32", backend_hashtypeconsistentcrc32},
		{"backend_hashtypeconsistentcrc32avalanche", backend_hashtypeconsistentcrc32avalanche},
		{"backend_hashtypeconsistentdjb2", backend_hashtypeconsistentdjb2},
		{"backend_hashtypeconsistentdjb2avalanche", backend_hashtypeconsistentdjb2avalanche},
		{"backend_hashtypeconsistentsdbm", backend_hashtypeconsistentsdbm},
		{"backend_hashtypeconsistentsdbmavalanche", backend_hashtypeconsistentsdbmavalanche},
		{"backend_hashtypeconsistentwt6", backend_hashtypeconsistentwt6},
		{"backend_hashtypeconsistentwt6avalanche", backend_hashtypeconsistentwt6avalanche},
		{"backend_hashtypemapbased", backend_hashtypemapbased},
		{"backend_hashtypemapbasedavalanche", backend_hashtypemapbasedavalanche},
		{"backend_hashtypemapbasedcrc32", backend_hashtypemapbasedcrc32},
		{"backend_hashtypemapbasedcrc32avalanche", backend_hashtypemapbasedcrc32avalanche},
		{"backend_hashtypemapbaseddjb2", backend_hashtypemapbaseddjb2},
		{"backend_hashtypemapbaseddjb2avalanche", backend_hashtypemapbaseddjb2avalanche},
		{"backend_hashtypemapbasedsdbm", backend_hashtypemapbasedsdbm},
		{"backend_hashtypemapbasedsdbmavalanche", backend_hashtypemapbasedsdbmavalanche},
		{"backend_hashtypemapbasedwt6", backend_hashtypemapbasedwt6},
		{"backend_hashtypemapbasedwt6avalanche", backend_hashtypemapbasedwt6avalanche},
		{"backend_httpafterresponseaddheaderXHeade", backend_httpafterresponseaddheaderXHeade},
		{"backend_httpafterresponseaddheaderXHeade_", backend_httpafterresponseaddheaderXHeade_},
		{"backend_httpafterresponseaddheaderXHeade__", backend_httpafterresponseaddheaderXHeade__},
		{"backend_httpafterresponseallow", backend_httpafterresponseallow},
		{"backend_httpafterresponseallowifacl", backend_httpafterresponseallowifacl},
		{"backend_httpafterresponseallowunlessacl", backend_httpafterresponseallowunlessacl},
		{"backend_httpafterresponsedelheaderXValue", backend_httpafterresponsedelheaderXValue},
		{"backend_httpafterresponsedelheaderXValue_", backend_httpafterresponsedelheaderXValue_},
		{"backend_httpafterresponsedelheaderXValue__", backend_httpafterresponsedelheaderXValue__},
		{"backend_httpafterresponsedelheaderXValue___", backend_httpafterresponsedelheaderXValue___},
		{"backend_httpafterresponsereplaceheaderSe", backend_httpafterresponsereplaceheaderSe},
		{"backend_httpafterresponsereplaceheaderSe_", backend_httpafterresponsereplaceheaderSe_},
		{"backend_httpafterresponsereplacevalueCac", backend_httpafterresponsereplacevalueCac},
		{"backend_httpafterresponsereplacevalueCac_", backend_httpafterresponsereplacevalueCac_},
		{"backend_httpafterresponsesetheaderStrict", backend_httpafterresponsesetheaderStrict},
		{"backend_httpafterresponsesetstatus431", backend_httpafterresponsesetstatus431},
		{"backend_httpafterresponsesetstatus500rea", backend_httpafterresponsesetstatus500rea},
		{"backend_httpafterresponsesetstatus500rea_", backend_httpafterresponsesetstatus500rea_},
		{"backend_httpafterresponsesetstatus503rea", backend_httpafterresponsesetstatus503rea},
		{"backend_httpafterresponsesetvarsesslastr", backend_httpafterresponsesetvarsesslastr},
		{"backend_httpafterresponsesetvarsesslastr_", backend_httpafterresponsesetvarsesslastr_},
		{"backend_httpafterresponsesetvarsesslastr__", backend_httpafterresponsesetvarsesslastr__},
		{"backend_httpafterresponsestrictmodeoff", backend_httpafterresponsestrictmodeoff},
		{"backend_httpafterresponsestrictmodeon", backend_httpafterresponsestrictmodeon},
		{"backend_httpafterresponseunsetvarsesslas", backend_httpafterresponseunsetvarsesslas},
		{"backend_httpafterresponseunsetvarsesslas_", backend_httpafterresponseunsetvarsesslas_},
		{"backend_httpafterresponseunsetvarsesslas__", backend_httpafterresponseunsetvarsesslas__},
		{"backend_httpcheckcommenttestcomment", backend_httpcheckcommenttestcomment},
		{"backend_httpcheckconnect", backend_httpcheckconnect},
		{"backend_httpcheckconnectaddr8888", backend_httpcheckconnectaddr8888},
		{"backend_httpcheckconnectalpnh2http11", backend_httpcheckconnectalpnh2http11},
		{"backend_httpcheckconnectcommenttestcomme", backend_httpcheckconnectcommenttestcomme},
		{"backend_httpcheckconnectdefault", backend_httpcheckconnectdefault},
		{"backend_httpcheckconnectlinger", backend_httpcheckconnectlinger},
		{"backend_httpcheckconnectport443addr8888s", backend_httpcheckconnectport443addr8888s},
		{"backend_httpcheckconnectport8080", backend_httpcheckconnectport8080},
		{"backend_httpcheckconnectprotoh2", backend_httpcheckconnectprotoh2},
		{"backend_httpcheckconnectsendproxy", backend_httpcheckconnectsendproxy},
		{"backend_httpcheckconnectsnihaproxy1wteu", backend_httpcheckconnectsnihaproxy1wteu},
		{"backend_httpcheckconnectssl", backend_httpcheckconnectssl},
		{"backend_httpcheckconnectviasocks4", backend_httpcheckconnectviasocks4},
		{"backend_httpcheckdisableon404", backend_httpcheckdisableon404},
		{"backend_httpcheckexpectcommenttestcommen", backend_httpcheckexpectcommenttestcommen},
		{"backend_httpcheckexpecterrorstatusL7RSPs", backend_httpcheckexpecterrorstatusL7RSPs},
		{"backend_httpcheckexpectminrecv50status20", backend_httpcheckexpectminrecv50status20},
		{"backend_httpcheckexpectokstatusL7OKstatu", backend_httpcheckexpectokstatusL7OKstatu},
		{"backend_httpcheckexpectonerrormylogforma", backend_httpcheckexpectonerrormylogforma},
		{"backend_httpcheckexpectonsuccessmylogfor", backend_httpcheckexpectonsuccessmylogfor},
		{"backend_httpcheckexpectrstatus5", backend_httpcheckexpectrstatus5},
		{"backend_httpcheckexpectrstringtag09afhtm", backend_httpcheckexpectrstringtag09afhtm},
		{"backend_httpcheckexpectstatus200", backend_httpcheckexpectstatus200},
		{"backend_httpcheckexpectstatuscode500stat", backend_httpcheckexpectstatuscode500stat},
		{"backend_httpcheckexpectstringSQLError", backend_httpcheckexpectstringSQLError},
		{"backend_httpcheckexpecttoutstatusL7TOUTs", backend_httpcheckexpecttoutstatusL7TOUTs},
		{"backend_httpchecksendcommenttestcomment", backend_httpchecksendcommenttestcomment},
		{"backend_httpchecksendmethGET", backend_httpchecksendmethGET},
		{"backend_httpchecksendmethGETurihealthver", backend_httpchecksendmethGETurihealthver},
		{"backend_httpchecksendstate", backend_httpchecksendstate},
		{"backend_httpchecksendurihealth", backend_httpchecksendurihealth},
		{"backend_httpchecksendurilfmylogformatbod", backend_httpchecksendurilfmylogformatbod},
		{"backend_httpchecksendverHTTP11", backend_httpchecksendverHTTP11},
		{"backend_httpchecksetvarcheckportint1234", backend_httpchecksetvarcheckportint1234},
		{"backend_httpchecksetvarfmtcheckportint12", backend_httpchecksetvarfmtcheckportint12},
		{"backend_httpcheckunsetvartxnfrom", backend_httpcheckunsetvartxnfrom},
		{"backend_httperrorstatus200contenttypetex", backend_httperrorstatus200contenttypetex},
		{"backend_httperrorstatus400", backend_httperrorstatus400},
		{"backend_httperrorstatus400contenttypetex", backend_httperrorstatus400contenttypetex},
		{"backend_httperrorstatus400contenttypetex_", backend_httperrorstatus400contenttypetex_},
		{"backend_httperrorstatus400contenttypetex__", backend_httperrorstatus400contenttypetex__},
		{"backend_httperrorstatus400contenttypetex___", backend_httperrorstatus400contenttypetex___},
		{"backend_httperrorstatus400contenttypetex____", backend_httperrorstatus400contenttypetex____},
		{"backend_httperrorstatus400defaulterrorfi", backend_httperrorstatus400defaulterrorfi},
		{"backend_httperrorstatus400errorfilemyfan", backend_httperrorstatus400errorfilemyfan},
		{"backend_httperrorstatus400errorfilesmyer", backend_httperrorstatus400errorfilesmyer},
		{"backend_httprequestaddaclmaplstsrc", backend_httprequestaddaclmaplstsrc},
		{"backend_httprequestaddheaderAuthorisatio", backend_httprequestaddheaderAuthorisatio},
		{"backend_httprequestaddheaderAuthorizatio", backend_httprequestaddheaderAuthorizatio},
		{"backend_httprequestaddheaderXvaluevalue", backend_httprequestaddheaderXvaluevalue},
		{"backend_httprequestallow", backend_httprequestallow},
		{"backend_httprequestauth", backend_httprequestauth},
		{"backend_httprequestcacheusecachename", backend_httprequestcacheusecachename},
		{"backend_httprequestcacheusecachenameifFA", backend_httprequestcacheusecachenameifFA},
		{"backend_httprequestdelaclmaplstsrc", backend_httprequestdelaclmaplstsrc},
		{"backend_httprequestdelheaderXvalue", backend_httprequestdelheaderXvalue},
		{"backend_httprequestdelheaderXvalueifTRUE", backend_httprequestdelheaderXvalueifTRUE},
		{"backend_httprequestdelheaderXvaluemstrif", backend_httprequestdelheaderXvaluemstrif},
		{"backend_httprequestdelmapmaplstsrc", backend_httprequestdelmapmaplstsrc},
		{"backend_httprequestdelmapmaplstsrcifvalu", backend_httprequestdelmapmaplstsrcifvalu},
		{"backend_httprequestdeny", backend_httprequestdeny},
		{"backend_httprequestdenydenystatus400", backend_httprequestdenydenystatus400},
		{"backend_httprequestdenydenystatus400cont", backend_httprequestdenydenystatus400cont},
		{"backend_httprequestdenydenystatus400cont_", backend_httprequestdenydenystatus400cont_},
		{"backend_httprequestdenydenystatus400cont__", backend_httprequestdenydenystatus400cont__},
		{"backend_httprequestdenydenystatus400cont___", backend_httprequestdenydenystatus400cont___},
		{"backend_httprequestdenydenystatus400cont____", backend_httprequestdenydenystatus400cont____},
		{"backend_httprequestdenydenystatus400cont_____", backend_httprequestdenydenystatus400cont_____},
		{"backend_httprequestdenydenystatus400cont______", backend_httprequestdenydenystatus400cont______},
		{"backend_httprequestdenydenystatus400cont_______", backend_httprequestdenydenystatus400cont_______},
		{"backend_httprequestdenydenystatus400cont________", backend_httprequestdenydenystatus400cont________},
		{"backend_httprequestdenydenystatus400cont_________", backend_httprequestdenydenystatus400cont_________},
		{"backend_httprequestdenydenystatus400cont__________", backend_httprequestdenydenystatus400cont__________},
		{"backend_httprequestdenydenystatus400ifTR", backend_httprequestdenydenystatus400ifTR},
		{"backend_httprequestdenyifTRUE", backend_httprequestdenyifTRUE},
		{"backend_httprequestdisablel7retry", backend_httprequestdisablel7retry},
		{"backend_httprequestdisablel7retryifFALSE", backend_httprequestdisablel7retryifFALSE},
		{"backend_httprequestdoresolvetxnmyipmydns", backend_httprequestdoresolvetxnmyipmydns},
		{"backend_httprequestdoresolvetxnmyipmydns_", backend_httprequestdoresolvetxnmyipmydns_},
		{"backend_httprequestdoresolvetxnmyipmydns__", backend_httprequestdoresolvetxnmyipmydns__},
		{"backend_httprequestdoresolvetxnmyipmydns___", backend_httprequestdoresolvetxnmyipmydns___},
		{"backend_httprequestdoresolvetxnmyipmydns____", backend_httprequestdoresolvetxnmyipmydns____},
		{"backend_httprequestearlyhinthintsrc", backend_httprequestearlyhinthintsrc},
		{"backend_httprequestearlyhinthintsrcifFAL", backend_httprequestearlyhinthintsrcifFAL},
		{"backend_httprequestearlyhintifFALSE", backend_httprequestearlyhintifFALSE},
		{"backend_httprequestluafoo", backend_httprequestluafoo},
		{"backend_httprequestluafooifFALSE", backend_httprequestluafooifFALSE},
		{"backend_httprequestluafooparam", backend_httprequestluafooparam},
		{"backend_httprequestluafooparamparam2", backend_httprequestluafooparamparam2},
		{"backend_httprequestnormalizeurifragmente", backend_httprequestnormalizeurifragmente},
		{"backend_httprequestnormalizeurifragmente_", backend_httprequestnormalizeurifragmente_},
		{"backend_httprequestnormalizeurifragments", backend_httprequestnormalizeurifragments},
		{"backend_httprequestnormalizeurifragments_", backend_httprequestnormalizeurifragments_},
		{"backend_httprequestnormalizeuripathmerge", backend_httprequestnormalizeuripathmerge},
		{"backend_httprequestnormalizeuripathmerge_", backend_httprequestnormalizeuripathmerge_},
		{"backend_httprequestnormalizeuripathstrip", backend_httprequestnormalizeuripathstrip},
		{"backend_httprequestnormalizeuripathstrip_", backend_httprequestnormalizeuripathstrip_},
		{"backend_httprequestnormalizeuripathstrip__", backend_httprequestnormalizeuripathstrip__},
		{"backend_httprequestnormalizeuripathstrip___", backend_httprequestnormalizeuripathstrip___},
		{"backend_httprequestnormalizeuripathstrip____", backend_httprequestnormalizeuripathstrip____},
		{"backend_httprequestnormalizeuripathstrip_____", backend_httprequestnormalizeuripathstrip_____},
		{"backend_httprequestnormalizeuripercentde", backend_httprequestnormalizeuripercentde},
		{"backend_httprequestnormalizeuripercentde_", backend_httprequestnormalizeuripercentde_},
		{"backend_httprequestnormalizeuripercentde__", backend_httprequestnormalizeuripercentde__},
		{"backend_httprequestnormalizeuripercentde___", backend_httprequestnormalizeuripercentde___},
		{"backend_httprequestnormalizeuripercentto", backend_httprequestnormalizeuripercentto},
		{"backend_httprequestnormalizeuripercentto_", backend_httprequestnormalizeuripercentto_},
		{"backend_httprequestnormalizeuripercentto__", backend_httprequestnormalizeuripercentto__},
		{"backend_httprequestnormalizeuripercentto___", backend_httprequestnormalizeuripercentto___},
		{"backend_httprequestnormalizeuriquerysort", backend_httprequestnormalizeuriquerysort},
		{"backend_httprequestnormalizeuriquerysort_", backend_httprequestnormalizeuriquerysort_},
		{"backend_httprequestredirectlocationfileh", backend_httprequestredirectlocationfileh},
		{"backend_httprequestredirectlocationfileh_", backend_httprequestredirectlocationfileh_},
		{"backend_httprequestredirectprefixhttpsmy", backend_httprequestredirectprefixhttpsmy},
		{"backend_httprequestreject", backend_httprequestreject},
		{"backend_httprequestreplaceheaderUseragen", backend_httprequestreplaceheaderUseragen},
		{"backend_httprequestreplacepathfoo", backend_httprequestreplacepathfoo},
		{"backend_httprequestreplacepathfooifTRUE", backend_httprequestreplacepathfooifTRUE},
		{"backend_httprequestreplacepathqfoo", backend_httprequestreplacepathqfoo},
		{"backend_httprequestreplacepathqfooifTRUE", backend_httprequestreplacepathqfooifTRUE},
		{"backend_httprequestreplaceurihttphttps1", backend_httprequestreplaceurihttphttps1},
		{"backend_httprequestreplaceurihttphttps1i", backend_httprequestreplaceurihttphttps1i},
		{"backend_httprequestreplacevalueXForwarde", backend_httprequestreplacevalueXForwarde},
		{"backend_httprequestreturncontenttypetext", backend_httprequestreturncontenttypetext},
		{"backend_httprequestreturncontenttypetext_", backend_httprequestreturncontenttypetext_},
		{"backend_httprequestreturncontenttypetext__", backend_httprequestreturncontenttypetext__},
		{"backend_httprequestreturncontenttypetext___", backend_httprequestreturncontenttypetext___},
		{"backend_httprequestreturncontenttypetext____", backend_httprequestreturncontenttypetext____},
		{"backend_httprequestreturncontenttypetext_____", backend_httprequestreturncontenttypetext_____},
		{"backend_httprequestreturncontenttypetext______", backend_httprequestreturncontenttypetext______},
		{"backend_httprequestreturncontenttypetext_______", backend_httprequestreturncontenttypetext_______},
		{"backend_httprequestreturnstatus200conten", backend_httprequestreturnstatus200conten},
		{"backend_httprequestreturnstatus200conten_", backend_httprequestreturnstatus200conten_},
		{"backend_httprequestreturnstatus400defaul", backend_httprequestreturnstatus400defaul},
		{"backend_httprequestreturnstatus400errorf", backend_httprequestreturnstatus400errorf},
		{"backend_httprequestreturnstatus400errorf_", backend_httprequestreturnstatus400errorf_},
		{"backend_httprequestscincgpc01", backend_httprequestscincgpc01},
		{"backend_httprequestscincgpc01ifFALSE", backend_httprequestscincgpc01ifFALSE},
		{"backend_httprequestscincgpc11", backend_httprequestscincgpc11},
		{"backend_httprequestscincgpc11ifFALSE", backend_httprequestscincgpc11ifFALSE},
		{"backend_httprequestscsetgpt0110", backend_httprequestscsetgpt0110},
		{"backend_httprequestscsetgpt01hdrHostlowe", backend_httprequestscsetgpt01hdrHostlowe},
		{"backend_httprequestscsetgpt01hdrHostlowe_", backend_httprequestscsetgpt01hdrHostlowe_},
		{"backend_httprequestsendspoegroupenginegr", backend_httprequestsendspoegroupenginegr},
		{"backend_httprequestsetbandwidthlimitmyli", backend_httprequestsetbandwidthlimitmyli},
		{"backend_httprequestsetbandwidthlimitmyli_", backend_httprequestsetbandwidthlimitmyli_},
		{"backend_httprequestsetbandwidthlimitmyli__", backend_httprequestsetbandwidthlimitmyli__},
		{"backend_httprequestsetbandwidthlimitmyli___", backend_httprequestsetbandwidthlimitmyli___},
		{"backend_httprequestsetdstporthdrxport", backend_httprequestsetdstporthdrxport},
		{"backend_httprequestsetdstporthdrxportifv", backend_httprequestsetdstporthdrxportifv},
		{"backend_httprequestsetdstporthdrxportunl", backend_httprequestsetdstporthdrxportunl},
		{"backend_httprequestsetdstportint4000", backend_httprequestsetdstportint4000},
		{"backend_httprequestsetdstvartxnmyip", backend_httprequestsetdstvartxnmyip},
		{"backend_httprequestsetdstvartxnmyipifvar", backend_httprequestsetdstvartxnmyipifvar},
		{"backend_httprequestsetdstvartxnmyipunles", backend_httprequestsetdstvartxnmyipunles},
		{"backend_httprequestsetheaderXvaluevalue", backend_httprequestsetheaderXvaluevalue},
		{"backend_httprequestsetloglevelsilent", backend_httprequestsetloglevelsilent},
		{"backend_httprequestsetmapmaplstsrcreqhdr", backend_httprequestsetmapmaplstsrcreqhdr},
		{"backend_httprequestsetmapmaplstsrcreqhdr_", backend_httprequestsetmapmaplstsrcreqhdr_},
		{"backend_httprequestsetmark0x1Ab", backend_httprequestsetmark0x1Ab},
		{"backend_httprequestsetmark20", backend_httprequestsetmark20},
		{"backend_httprequestsetmethodPOST", backend_httprequestsetmethodPOST},
		{"backend_httprequestsetmethodPOSTifFALSE", backend_httprequestsetmethodPOSTifFALSE},
		{"backend_httprequestsetnice0", backend_httprequestsetnice0},
		{"backend_httprequestsetnice0ifFALSE", backend_httprequestsetnice0ifFALSE},
		{"backend_httprequestsetpathhdrhostpath", backend_httprequestsetpathhdrhostpath},
		{"backend_httprequestsetpathqhdrhostpath", backend_httprequestsetpathqhdrhostpath},
		{"backend_httprequestsetpriorityclassreqhd", backend_httprequestsetpriorityclassreqhd},
		{"backend_httprequestsetpriorityclassreqhd_", backend_httprequestsetpriorityclassreqhd_},
		{"backend_httprequestsetpriorityoffsetreqh", backend_httprequestsetpriorityoffsetreqh},
		{"backend_httprequestsetpriorityoffsetreqh_", backend_httprequestsetpriorityoffsetreqh_},
		{"backend_httprequestsetqueryqueryregsub3D", backend_httprequestsetqueryqueryregsub3D},
		{"backend_httprequestsetsrchdrsrc", backend_httprequestsetsrchdrsrc},
		{"backend_httprequestsetsrchdrsrcifFALSE", backend_httprequestsetsrchdrsrcifFALSE},
		{"backend_httprequestsetsrcporthdrport", backend_httprequestsetsrcporthdrport},
		{"backend_httprequestsetsrcporthdrportifFA", backend_httprequestsetsrcporthdrportifFA},
		{"backend_httprequestsettimeoutserver20", backend_httprequestsettimeoutserver20},
		{"backend_httprequestsettimeoutserver20sif", backend_httprequestsettimeoutserver20sif},
		{"backend_httprequestsettimeouttunnel20", backend_httprequestsettimeouttunnel20},
		{"backend_httprequestsettimeouttunnel20sif", backend_httprequestsettimeouttunnel20sif},
		{"backend_httprequestsettos0", backend_httprequestsettos0},
		{"backend_httprequestsettos0ifFALSE", backend_httprequestsettos0ifFALSE},
		{"backend_httprequestseturihdrhostpath", backend_httprequestseturihdrhostpath},
		{"backend_httprequestsetvarfmtreqmyvarreqf", backend_httprequestsetvarfmtreqmyvarreqf},
		{"backend_httprequestsetvarreqmyvarreqfhdr", backend_httprequestsetvarreqmyvarreqfhdr},
		{"backend_httprequestsilentdrop", backend_httprequestsilentdrop},
		{"backend_httprequestsilentdropifFALSE", backend_httprequestsilentdropifFALSE},
		{"backend_httprequeststrictmodeon", backend_httprequeststrictmodeon},
		{"backend_httprequeststrictmodeonifFALSE", backend_httprequeststrictmodeonifFALSE},
		{"backend_httprequesttarpit", backend_httprequesttarpit},
		{"backend_httprequesttarpitdenystatus400", backend_httprequesttarpitdenystatus400},
		{"backend_httprequesttarpitdenystatus400co", backend_httprequesttarpitdenystatus400co},
		{"backend_httprequesttarpitdenystatus400co_", backend_httprequesttarpitdenystatus400co_},
		{"backend_httprequesttarpitdenystatus400co__", backend_httprequesttarpitdenystatus400co__},
		{"backend_httprequesttarpitdenystatus400co___", backend_httprequesttarpitdenystatus400co___},
		{"backend_httprequesttarpitdenystatus400co____", backend_httprequesttarpitdenystatus400co____},
		{"backend_httprequesttarpitdenystatus400co_____", backend_httprequesttarpitdenystatus400co_____},
		{"backend_httprequesttarpitdenystatus400co______", backend_httprequesttarpitdenystatus400co______},
		{"backend_httprequesttarpitdenystatus400co_______", backend_httprequesttarpitdenystatus400co_______},
		{"backend_httprequesttarpitdenystatus400co________", backend_httprequesttarpitdenystatus400co________},
		{"backend_httprequesttarpitdenystatus400co_________", backend_httprequesttarpitdenystatus400co_________},
		{"backend_httprequesttarpitdenystatus400co__________", backend_httprequesttarpitdenystatus400co__________},
		{"backend_httprequesttarpitdenystatus400if", backend_httprequesttarpitdenystatus400if},
		{"backend_httprequesttarpitifTRUE", backend_httprequesttarpitifTRUE},
		{"backend_httprequesttracksc0src", backend_httprequesttracksc0src},
		{"backend_httprequesttracksc1src", backend_httprequesttracksc1src},
		{"backend_httprequesttracksc2src", backend_httprequesttracksc2src},
		{"backend_httprequestunsetvarreqmyvar", backend_httprequestunsetvarreqmyvar},
		{"backend_httprequestunsetvarreqmyvarifFAL", backend_httprequestunsetvarreqmyvarifFAL},
		{"backend_httprequestwaitforbodytime20s", backend_httprequestwaitforbodytime20s},
		{"backend_httprequestwaitforbodytime20satl", backend_httprequestwaitforbodytime20satl},
		{"backend_httprequestwaitforbodytime20satl_", backend_httprequestwaitforbodytime20satl_},
		{"backend_httprequestwaitforbodytime20sifT", backend_httprequestwaitforbodytime20sifT},
		{"backend_httprequestwaitforhandshake", backend_httprequestwaitforhandshake},
		{"backend_httprequestwaitforhandshakeifFAL", backend_httprequestwaitforhandshakeifFAL},
		{"backend_httpresponseaddaclmaplstsrc", backend_httpresponseaddaclmaplstsrc},
		{"backend_httpresponseaddheaderXvaluevalue", backend_httpresponseaddheaderXvaluevalue},
		{"backend_httpresponseallow", backend_httpresponseallow},
		{"backend_httpresponsecachestorecachename", backend_httpresponsecachestorecachename},
		{"backend_httpresponsecachestorecachenamei", backend_httpresponsecachestorecachenamei},
		{"backend_httpresponsedelaclmaplstsrc", backend_httpresponsedelaclmaplstsrc},
		{"backend_httpresponsedelheaderXvalue", backend_httpresponsedelheaderXvalue},
		{"backend_httpresponsedelmapmaplstsrc", backend_httpresponsedelmapmaplstsrc},
		{"backend_httpresponsedelmapmaplstsrcifval", backend_httpresponsedelmapmaplstsrcifval},
		{"backend_httpresponsedeny", backend_httpresponsedeny},
		{"backend_httpresponsedenydenystatus400", backend_httpresponsedenydenystatus400},
		{"backend_httpresponsedenydenystatus400con", backend_httpresponsedenydenystatus400con},
		{"backend_httpresponsedenydenystatus400con_", backend_httpresponsedenydenystatus400con_},
		{"backend_httpresponsedenydenystatus400con__", backend_httpresponsedenydenystatus400con__},
		{"backend_httpresponsedenydenystatus400con___", backend_httpresponsedenydenystatus400con___},
		{"backend_httpresponsedenydenystatus400con____", backend_httpresponsedenydenystatus400con____},
		{"backend_httpresponsedenydenystatus400con_____", backend_httpresponsedenydenystatus400con_____},
		{"backend_httpresponsedenydenystatus400con______", backend_httpresponsedenydenystatus400con______},
		{"backend_httpresponsedenydenystatus400con_______", backend_httpresponsedenydenystatus400con_______},
		{"backend_httpresponsedenydenystatus400con________", backend_httpresponsedenydenystatus400con________},
		{"backend_httpresponsedenydenystatus400con_________", backend_httpresponsedenydenystatus400con_________},
		{"backend_httpresponsedenydenystatus400con__________", backend_httpresponsedenydenystatus400con__________},
		{"backend_httpresponsedenydenystatus400ifT", backend_httpresponsedenydenystatus400ifT},
		{"backend_httpresponsedenyifTRUE", backend_httpresponsedenyifTRUE},
		{"backend_httpresponseluafoo", backend_httpresponseluafoo},
		{"backend_httpresponseluafooifFALSE", backend_httpresponseluafooifFALSE},
		{"backend_httpresponseluafooparam", backend_httpresponseluafooparam},
		{"backend_httpresponseluafooparamparam2", backend_httpresponseluafooparamparam2},
		{"backend_httpresponseredirectprefixhttpsm", backend_httpresponseredirectprefixhttpsm},
		{"backend_httpresponsereplaceheaderUserage", backend_httpresponsereplaceheaderUserage},
		{"backend_httpresponsereplacevalueXForward", backend_httpresponsereplacevalueXForward},
		{"backend_httpresponsereturncontenttypetex", backend_httpresponsereturncontenttypetex},
		{"backend_httpresponsereturncontenttypetex_", backend_httpresponsereturncontenttypetex_},
		{"backend_httpresponsereturncontenttypetex__", backend_httpresponsereturncontenttypetex__},
		{"backend_httpresponsereturncontenttypetex___", backend_httpresponsereturncontenttypetex___},
		{"backend_httpresponsereturncontenttypetex____", backend_httpresponsereturncontenttypetex____},
		{"backend_httpresponsereturncontenttypetex_____", backend_httpresponsereturncontenttypetex_____},
		{"backend_httpresponsereturncontenttypetex______", backend_httpresponsereturncontenttypetex______},
		{"backend_httpresponsereturncontenttypetex_______", backend_httpresponsereturncontenttypetex_______},
		{"backend_httpresponsereturnstatus200conte", backend_httpresponsereturnstatus200conte},
		{"backend_httpresponsereturnstatus200conte_", backend_httpresponsereturnstatus200conte_},
		{"backend_httpresponsereturnstatus400defau", backend_httpresponsereturnstatus400defau},
		{"backend_httpresponsereturnstatus400error", backend_httpresponsereturnstatus400error},
		{"backend_httpresponsereturnstatus400error_", backend_httpresponsereturnstatus400error_},
		{"backend_httpresponsescincgpc01", backend_httpresponsescincgpc01},
		{"backend_httpresponsescincgpc01ifFALSE", backend_httpresponsescincgpc01ifFALSE},
		{"backend_httpresponsescincgpc11", backend_httpresponsescincgpc11},
		{"backend_httpresponsescincgpc11ifFALSE", backend_httpresponsescincgpc11ifFALSE},
		{"backend_httpresponsescsetgpt0110", backend_httpresponsescsetgpt0110},
		{"backend_httpresponsescsetgpt01hdrHostlow", backend_httpresponsescsetgpt01hdrHostlow},
		{"backend_httpresponsescsetgpt01hdrHostlow_", backend_httpresponsescsetgpt01hdrHostlow_},
		{"backend_httpresponsesendspoegroupengineg", backend_httpresponsesendspoegroupengineg},
		{"backend_httpresponsesetbandwidthlimitmyl", backend_httpresponsesetbandwidthlimitmyl},
		{"backend_httpresponsesetbandwidthlimitmyl_", backend_httpresponsesetbandwidthlimitmyl_},
		{"backend_httpresponsesetbandwidthlimitmyl__", backend_httpresponsesetbandwidthlimitmyl__},
		{"backend_httpresponsesetbandwidthlimitmyl___", backend_httpresponsesetbandwidthlimitmyl___},
		{"backend_httpresponsesetheaderXvaluevalue", backend_httpresponsesetheaderXvaluevalue},
		{"backend_httpresponsesetloglevelsilent", backend_httpresponsesetloglevelsilent},
		{"backend_httpresponsesetmapmaplstsrcreshd", backend_httpresponsesetmapmaplstsrcreshd},
		{"backend_httpresponsesetmapmaplstsrcreshd_", backend_httpresponsesetmapmaplstsrcreshd_},
		{"backend_httpresponsesetmark0x1Ab", backend_httpresponsesetmark0x1Ab},
		{"backend_httpresponsesetmark20", backend_httpresponsesetmark20},
		{"backend_httpresponsesetnice0", backend_httpresponsesetnice0},
		{"backend_httpresponsesetnice0ifFALSE", backend_httpresponsesetnice0ifFALSE},
		{"backend_httpresponsesetstatus503", backend_httpresponsesetstatus503},
		{"backend_httpresponsesettos0", backend_httpresponsesettos0},
		{"backend_httpresponsesettos0ifFALSE", backend_httpresponsesettos0ifFALSE},
		{"backend_httpresponsesetvarfmtreqmyvarres", backend_httpresponsesetvarfmtreqmyvarres},
		{"backend_httpresponsesetvarreqmyvarresfhd", backend_httpresponsesetvarreqmyvarresfhd},
		{"backend_httpresponsesilentdrop", backend_httpresponsesilentdrop},
		{"backend_httpresponsesilentdropifFALSE", backend_httpresponsesilentdropifFALSE},
		{"backend_httpresponsestrictmodeon", backend_httpresponsestrictmodeon},
		{"backend_httpresponsestrictmodeonifFALSE", backend_httpresponsestrictmodeonifFALSE},
		{"backend_httpresponsetracksc0src", backend_httpresponsetracksc0src},
		{"backend_httpresponsetracksc0srcifFALSE", backend_httpresponsetracksc0srcifFALSE},
		{"backend_httpresponsetracksc0srctabletrif", backend_httpresponsetracksc0srctabletrif},
		{"backend_httpresponsetracksc1src", backend_httpresponsetracksc1src},
		{"backend_httpresponsetracksc1srcifFALSE", backend_httpresponsetracksc1srcifFALSE},
		{"backend_httpresponsetracksc1srctabletrif", backend_httpresponsetracksc1srctabletrif},
		{"backend_httpresponsetracksc2src", backend_httpresponsetracksc2src},
		{"backend_httpresponsetracksc2srcifFALSE", backend_httpresponsetracksc2srcifFALSE},
		{"backend_httpresponsetracksc2srctabletrif", backend_httpresponsetracksc2srctabletrif},
		{"backend_httpresponseunsetvarreqmyvar", backend_httpresponseunsetvarreqmyvar},
		{"backend_httpresponseunsetvarreqmyvarifFA", backend_httpresponseunsetvarreqmyvarifFA},
		{"backend_httpresponsewaitforbodytime20s", backend_httpresponsewaitforbodytime20s},
		{"backend_httpresponsewaitforbodytime20sat", backend_httpresponsewaitforbodytime20sat},
		{"backend_httpresponsewaitforbodytime20sat_", backend_httpresponsewaitforbodytime20sat_},
		{"backend_httpresponsewaitforbodytime20sif", backend_httpresponsewaitforbodytime20sif},
		{"backend_httpreuseaggressive", backend_httpreuseaggressive},
		{"backend_httpreusealways", backend_httpreusealways},
		{"backend_httpreusenever", backend_httpreusenever},
		{"backend_httpreusesafe", backend_httpreusesafe},
		{"backend_httpsendnameheader", backend_httpsendnameheader},
		{"backend_httpsendnameheaderXMyAwesomeHead", backend_httpsendnameheaderXMyAwesomeHead},
		{"backend_ignorepersistifaclname", backend_ignorepersistifaclname},
		{"backend_ignorepersistunlessaclname", backend_ignorepersistunlessaclname},
		{"backend_loadserverstatefromfileglobal", backend_loadserverstatefromfileglobal},
		{"backend_loadserverstatefromfilelocal", backend_loadserverstatefromfilelocal},
		{"backend_loadserverstatefromfilenone", backend_loadserverstatefromfilenone},
		{"backend_log1270011515formatrfc5424sample", backend_log1270011515formatrfc5424sample},
		{"backend_log1270011515formatrfc5424sample_", backend_log1270011515formatrfc5424sample_},
		{"backend_log1270011515len8192formatrfc542", backend_log1270011515len8192formatrfc542},
		{"backend_log1270011515len8192formatrfc542_", backend_log1270011515len8192formatrfc542_},
		{"backend_log1270011515sample12local0", backend_log1270011515sample12local0},
		{"backend_log1270011515sample16local2", backend_log1270011515sample16local2},
		{"backend_log127001514local0noticenoticesa", backend_log127001514local0noticenoticesa},
		{"backend_log127001514local0noticeonlysend", backend_log127001514local0noticeonlysend},
		{"backend_logglobal", backend_logglobal},
		{"backend_logstderrformatrawdaemonnoticese", backend_logstderrformatrawdaemonnoticese},
		{"backend_logstdoutformatrawdaemonsendever", backend_logstdoutformatrawdaemonsendever},
		{"backend_logstdoutformatshortdaemonsendlo", backend_logstdoutformatshortdaemonsendlo},
		{"backend_nolog", backend_nolog},
		{"backend_nooptionredispatch", backend_nooptionredispatch},
		{"backend_nooptionsmtpchk", backend_nooptionsmtpchk},
		{"backend_optionforwardfor", backend_optionforwardfor},
		{"backend_optionforwardforcomment", backend_optionforwardforcomment},
		{"backend_optionforwardforexceptA", backend_optionforwardforexceptA},
		{"backend_optionforwardforexceptAcomment", backend_optionforwardforexceptAcomment},
		{"backend_optionforwardforexceptAheaderB", backend_optionforwardforexceptAheaderB},
		{"backend_optionforwardforexceptAheaderBif", backend_optionforwardforexceptAheaderBif},
		{"backend_optionhttpchkOPTIONSHTTP11rnHost", backend_optionhttpchkOPTIONSHTTP11rnHost},
		{"backend_optionhttpchkmethoduri", backend_optionhttpchkmethoduri},
		{"backend_optionhttpchkmethoduriversion", backend_optionhttpchkmethoduriversion},
		{"backend_optionhttpchkuri", backend_optionhttpchkuri},
		{"backend_optionhttprestrictreqhdrnamesdel", backend_optionhttprestrictreqhdrnamesdel},
		{"backend_optionhttprestrictreqhdrnamespre", backend_optionhttprestrictreqhdrnamespre},
		{"backend_optionhttprestrictreqhdrnamesrej", backend_optionhttprestrictreqhdrnamesrej},
		{"backend_optionmysqlcheck", backend_optionmysqlcheck},
		{"backend_optionmysqlcheckcomment", backend_optionmysqlcheckcomment},
		{"backend_optionmysqlcheckuserjohn", backend_optionmysqlcheckuserjohn},
		{"backend_optionmysqlcheckuserjohnpost41", backend_optionmysqlcheckuserjohnpost41},
		{"backend_optionmysqlcheckuserjohnpre41", backend_optionmysqlcheckuserjohnpre41},
		{"backend_optionoriginalto", backend_optionoriginalto},
		{"backend_optionoriginaltocomment", backend_optionoriginaltocomment},
		{"backend_optionoriginaltoexcept127001", backend_optionoriginaltoexcept127001},
		{"backend_optionoriginaltoexcept127001comm", backend_optionoriginaltoexcept127001comm},
		{"backend_optionoriginaltoexcept127001head", backend_optionoriginaltoexcept127001head},
		{"backend_optionoriginaltoheaderXClientDst", backend_optionoriginaltoheaderXClientDst},
		{"backend_optionpgsqlcheckuserjohn", backend_optionpgsqlcheckuserjohn},
		{"backend_optionpgsqlcheckuserjohncomment", backend_optionpgsqlcheckuserjohncomment},
		{"backend_optionredispatch", backend_optionredispatch},
		{"backend_optionredispatch1", backend_optionredispatch1},
		{"backend_optionredispatch1comment", backend_optionredispatch1comment},
		{"backend_optionredispatchcomment", backend_optionredispatchcomment},
		{"backend_optionsmtpchk", backend_optionsmtpchk},
		{"backend_optionsmtpchkEHLOmydomainorg", backend_optionsmtpchkEHLOmydomainorg},
		{"backend_optionsmtpchkHELOmydomainorg", backend_optionsmtpchkHELOmydomainorg},
		{"backend_optionsmtpchkHELOmydomainorgcomm", backend_optionsmtpchkHELOmydomainorgcomm},
		{"backend_optionsmtpchkcomment", backend_optionsmtpchkcomment},
		{"backend_persistrdpcookie", backend_persistrdpcookie},
		{"backend_persistrdpcookiecookies", backend_persistrdpcookiecookies},
		{"backend_redirectprefixhttpwwwbarcomcode3", backend_redirectprefixhttpwwwbarcomcode3},
		{"backend_serveraddr1", backend_serveraddr1},
		{"backend_serveraddr127001", backend_serveraddr127001},
		{"backend_servername127001", backend_servername127001},
		{"backend_servername1270018080", backend_servername1270018080},
		{"backend_servername127001agentaddr127001", backend_servername127001agentaddr127001},
		{"backend_servername127001agentaddrsitecom", backend_servername127001agentaddrsitecom},
		{"backend_servername127001agentcheck", backend_servername127001agentcheck},
		{"backend_servername127001agentinter1000ms", backend_servername127001agentinter1000ms},
		{"backend_servername127001agentport1", backend_servername127001agentport1},
		{"backend_servername127001agentport65535", backend_servername127001agentport65535},
		{"backend_servername127001agentsendname", backend_servername127001agentsendname},
		{"backend_servername127001allow0rtt", backend_servername127001allow0rtt},
		{"backend_servername127001alpnh2", backend_servername127001alpnh2},
		{"backend_servername127001alpnh2http11", backend_servername127001alpnh2http11},
		{"backend_servername127001alpnhttp11", backend_servername127001alpnhttp11},
		{"backend_servername127001backup", backend_servername127001backup},
		{"backend_servername127001cafilecertcrt", backend_servername127001cafilecertcrt},
		{"backend_servername127001check", backend_servername127001check},
		{"backend_servername127001checkalpnhttp10", backend_servername127001checkalpnhttp10},
		{"backend_servername127001checkalpnhttp11h", backend_servername127001checkalpnhttp11h},
		{"backend_servername127001checkprotoh2", backend_servername127001checkprotoh2},
		{"backend_servername127001checksendproxy", backend_servername127001checksendproxy},
		{"backend_servername127001checkssl", backend_servername127001checkssl},
		{"backend_servername127001checkviasocks4", backend_servername127001checkviasocks4},
		{"backend_servername127001ciphersECDHEECDS", backend_servername127001ciphersECDHEECDS},
		{"backend_servername127001ciphersECDHERSAA", backend_servername127001ciphersECDHERSAA},
		{"backend_servername127001ciphersuitesECDH", backend_servername127001ciphersuitesECDH},
		{"backend_servername127001cookievalue", backend_servername127001cookievalue},
		{"backend_servername127001crlfilefilepem", backend_servername127001crlfilefilepem},
		{"backend_servername127001crtcertpem", backend_servername127001crtcertpem},
		{"backend_servername127001disabled", backend_servername127001disabled},
		{"backend_servername127001downinter3500ms", backend_servername127001downinter3500ms},
		{"backend_servername127001enabled", backend_servername127001enabled},
		{"backend_servername127001errorlimit50", backend_servername127001errorlimit50},
		{"backend_servername127001fall30", backend_servername127001fall30},
		{"backend_servername127001fastinter2500ms", backend_servername127001fastinter2500ms},
		{"backend_servername127001fastinterunknown", backend_servername127001fastinterunknown},
		{"backend_servername127001forcesslv3", backend_servername127001forcesslv3},
		{"backend_servername127001forcetlsv10", backend_servername127001forcetlsv10},
		{"backend_servername127001forcetlsv11", backend_servername127001forcetlsv11},
		{"backend_servername127001forcetlsv12", backend_servername127001forcetlsv12},
		{"backend_servername127001forcetlsv13", backend_servername127001forcetlsv13},
		{"backend_servername127001initaddrlastlibc", backend_servername127001initaddrlastlibc},
		{"backend_servername127001initaddrlastlibc_", backend_servername127001initaddrlastlibc_},
		{"backend_servername127001inter1500ms", backend_servername127001inter1500ms},
		{"backend_servername127001logprotolegacy", backend_servername127001logprotolegacy},
		{"backend_servername127001logprotooctetcou", backend_servername127001logprotooctetcou},
		{"backend_servername127001maxconn1", backend_servername127001maxconn1},
		{"backend_servername127001maxconn50", backend_servername127001maxconn50},
		{"backend_servername127001maxqueue0", backend_servername127001maxqueue0},
		{"backend_servername127001maxqueue1000", backend_servername127001maxqueue1000},
		{"backend_servername127001maxreuse0", backend_servername127001maxreuse0},
		{"backend_servername127001maxreuse1", backend_servername127001maxreuse1},
		{"backend_servername127001maxreuse1_", backend_servername127001maxreuse1_},
		{"backend_servername127001minconn1", backend_servername127001minconn1},
		{"backend_servername127001minconn50", backend_servername127001minconn50},
		{"backend_servername127001namespacetest", backend_servername127001namespacetest},
		{"backend_servername127001noagentcheck", backend_servername127001noagentcheck},
		{"backend_servername127001nobackup", backend_servername127001nobackup},
		{"backend_servername127001nocheck", backend_servername127001nocheck},
		{"backend_servername127001nocheckssl", backend_servername127001nocheckssl},
		{"backend_servername127001nonstick", backend_servername127001nonstick},
		{"backend_servername127001nosendproxyv2", backend_servername127001nosendproxyv2},
		{"backend_servername127001nosendproxyv2ssl", backend_servername127001nosendproxyv2ssl},
		{"backend_servername127001nosendproxyv2ssl_", backend_servername127001nosendproxyv2ssl_},
		{"backend_servername127001nossl", backend_servername127001nossl},
		{"backend_servername127001nosslreuse", backend_servername127001nosslreuse},
		{"backend_servername127001nosslv3", backend_servername127001nosslv3},
		{"backend_servername127001notfo", backend_servername127001notfo},
		{"backend_servername127001notlstickets", backend_servername127001notlstickets},
		{"backend_servername127001notlsv10", backend_servername127001notlsv10},
		{"backend_servername127001notlsv11", backend_servername127001notlsv11},
		{"backend_servername127001notlsv12", backend_servername127001notlsv12},
		{"backend_servername127001notlsv13", backend_servername127001notlsv13},
		{"backend_servername127001noverifyhost", backend_servername127001noverifyhost},
		{"backend_servername127001npnhttp11http10", backend_servername127001npnhttp11http10},
		{"backend_servername127001observelayer4", backend_servername127001observelayer4},
		{"backend_servername127001observelayer7", backend_servername127001observelayer7},
		{"backend_servername127001onerrorfailcheck", backend_servername127001onerrorfailcheck},
		{"backend_servername127001onerrorfastinter", backend_servername127001onerrorfastinter},
		{"backend_servername127001onerrormarkdown", backend_servername127001onerrormarkdown},
		{"backend_servername127001onerrorsuddendea", backend_servername127001onerrorsuddendea},
		{"backend_servername127001onmarkeddownshut", backend_servername127001onmarkeddownshut},
		{"backend_servername127001onmarkedupshutdo", backend_servername127001onmarkedupshutdo},
		{"backend_servername127001poollowconn384", backend_servername127001poollowconn384},
		{"backend_servername127001poolmaxconn0", backend_servername127001poolmaxconn0},
		{"backend_servername127001poolmaxconn1", backend_servername127001poolmaxconn1},
		{"backend_servername127001poolmaxconn100", backend_servername127001poolmaxconn100},
		{"backend_servername127001poolpurgedelay0", backend_servername127001poolpurgedelay0},
		{"backend_servername127001poolpurgedelay5", backend_servername127001poolpurgedelay5},
		{"backend_servername127001poolpurgedelay50", backend_servername127001poolpurgedelay50},
		{"backend_servername127001port27015", backend_servername127001port27015},
		{"backend_servername127001port27016", backend_servername127001port27016},
		{"backend_servername127001protoh2", backend_servername127001protoh2},
		{"backend_servername127001proxyv2optionsss", backend_servername127001proxyv2optionsss},
		{"backend_servername127001proxyv2optionsss_", backend_servername127001proxyv2optionsss_},
		{"backend_servername127001proxyv2optionsss__", backend_servername127001proxyv2optionsss__},
		{"backend_servername127001redirhttpimage1m", backend_servername127001redirhttpimage1m},
		{"backend_servername127001redirhttpsimage1", backend_servername127001redirhttpsimage1},
		{"backend_servername127001resolvenet100008", backend_servername127001resolvenet100008},
		{"backend_servername127001resolvenet100008_", backend_servername127001resolvenet100008_},
		{"backend_servername127001resolveoptsallow", backend_servername127001resolveoptsallow},
		{"backend_servername127001resolveoptsallow_", backend_servername127001resolveoptsallow_},
		{"backend_servername127001resolveoptsignor", backend_servername127001resolveoptsignor},
		{"backend_servername127001resolveoptspreve", backend_servername127001resolveoptspreve},
		{"backend_servername127001resolvepreferipv", backend_servername127001resolvepreferipv},
		{"backend_servername127001resolvepreferipv_", backend_servername127001resolvepreferipv_},
		{"backend_servername127001resolversmydns", backend_servername127001resolversmydns},
		{"backend_servername127001rise2", backend_servername127001rise2},
		{"backend_servername127001rise200", backend_servername127001rise200},
		{"backend_servername127001sendproxy", backend_servername127001sendproxy},
		{"backend_servername127001sendproxyv2", backend_servername127001sendproxyv2},
		{"backend_servername127001sendproxyv2ssl", backend_servername127001sendproxyv2ssl},
		{"backend_servername127001sendproxyv2sslcn", backend_servername127001sendproxyv2sslcn},
		{"backend_servername127001slowstart2000ms", backend_servername127001slowstart2000ms},
		{"backend_servername127001sniTODO", backend_servername127001sniTODO},
		{"backend_servername127001socks412700181", backend_servername127001socks412700181},
		{"backend_servername127001sourceTODO", backend_servername127001sourceTODO},
		{"backend_servername127001ssl", backend_servername127001ssl},
		{"backend_servername127001sslmaxverSSLv3", backend_servername127001sslmaxverSSLv3},
		{"backend_servername127001sslmaxverTLSv10", backend_servername127001sslmaxverTLSv10},
		{"backend_servername127001sslmaxverTLSv11", backend_servername127001sslmaxverTLSv11},
		{"backend_servername127001sslmaxverTLSv12", backend_servername127001sslmaxverTLSv12},
		{"backend_servername127001sslmaxverTLSv13", backend_servername127001sslmaxverTLSv13},
		{"backend_servername127001sslminverSSLv3", backend_servername127001sslminverSSLv3},
		{"backend_servername127001sslminverTLSv10", backend_servername127001sslminverTLSv10},
		{"backend_servername127001sslminverTLSv11", backend_servername127001sslminverTLSv11},
		{"backend_servername127001sslminverTLSv12", backend_servername127001sslminverTLSv12},
		{"backend_servername127001sslminverTLSv13", backend_servername127001sslminverTLSv13},
		{"backend_servername127001sslreuse", backend_servername127001sslreuse},
		{"backend_servername127001stick", backend_servername127001stick},
		{"backend_servername127001tcput20ms", backend_servername127001tcput20ms},
		{"backend_servername127001tfo", backend_servername127001tfo},
		{"backend_servername127001tlstickets", backend_servername127001tlstickets},
		{"backend_servername127001trackTODO", backend_servername127001trackTODO},
		{"backend_servername127001verifyhostsiteco", backend_servername127001verifyhostsiteco},
		{"backend_servername127001verifynone", backend_servername127001verifynone},
		{"backend_servername127001verifyrequired", backend_servername127001verifyrequired},
		{"backend_servername127001weight1", backend_servername127001weight1},
		{"backend_servername127001weight128", backend_servername127001weight128},
		{"backend_servername127001weight256", backend_servername127001weight256},
		{"backend_servername127001wsauto", backend_servername127001wsauto},
		{"backend_servername127001wsh1", backend_servername127001wsh1},
		{"backend_servername127001wsh2", backend_servername127001wsh2},
		{"backend_servertemplatesrv13googlecom80ch", backend_servertemplatesrv13googlecom80ch},
		{"backend_servertemplatesrv3googlecom", backend_servertemplatesrv3googlecom},
		{"backend_servertemplatesrv3googlecom80", backend_servertemplatesrv3googlecom80},
		{"backend_servertemplatesrv3googlecom80che", backend_servertemplatesrv3googlecom80che},
		{"backend_source0000usesrcclientip", backend_source0000usesrcclientip},
		{"backend_source0000usesrchdripxforwardedf", backend_source0000usesrchdripxforwardedf},
		{"backend_source1921681200", backend_source1921681200},
		{"backend_source192168120080usesrcclient", backend_source192168120080usesrcclient},
		{"backend_source192168120080usesrcclientip", backend_source192168120080usesrcclientip},
		{"backend_source1921681200interfacename", backend_source1921681200interfacename},
		{"backend_source1921681200usesrc1921681201", backend_source1921681200usesrc1921681201},
		{"backend_source1921681200usesrcclient", backend_source1921681200usesrcclient},
		{"backend_source1921681200usesrcclientip", backend_source1921681200usesrcclientip},
		{"backend_source1921681200usesrchdriphdr", backend_source1921681200usesrchdriphdr},
		{"backend_source1921681200usesrchdriphdroc", backend_source1921681200usesrchdriphdroc},
		{"backend_statsauthadmin1AdMiN123", backend_statsauthadmin1AdMiN123},
		{"backend_statsbindprocess1234", backend_statsbindprocess1234},
		{"backend_statsbindprocess14", backend_statsbindprocess14},
		{"backend_statsbindprocessall", backend_statsbindprocessall},
		{"backend_statsbindprocesseven", backend_statsbindprocesseven},
		{"backend_statsbindprocessodd", backend_statsbindprocessodd},
		{"backend_statsenable", backend_statsenable},
		{"backend_statshideversion", backend_statshideversion},
		{"backend_statshttprequestallow", backend_statshttprequestallow},
		{"backend_statshttprequestauthifsomething", backend_statshttprequestauthifsomething},
		{"backend_statshttprequestauthrealmHAProxy", backend_statshttprequestauthrealmHAProxy},
		{"backend_statshttprequestauthrealmHAProxy_", backend_statshttprequestauthrealmHAProxy_},
		{"backend_statshttprequestdenyunlesssometh", backend_statshttprequestdenyunlesssometh},
		{"backend_statsmaxconn10", backend_statsmaxconn10},
		{"backend_statsrealmHAProxyStatistics", backend_statsrealmHAProxyStatistics},
		{"backend_statsrefresh10s", backend_statsrefresh10s},
		{"backend_statsscope", backend_statsscope},
		{"backend_statsshowdescMasternodeforEurope", backend_statsshowdescMasternodeforEurope},
		{"backend_statsshowlegends", backend_statsshowlegends},
		{"backend_statsshowmodules", backend_statsshowmodules},
		{"backend_statsshownode", backend_statsshownode},
		{"backend_statsshownodeEurope1", backend_statsshownodeEurope1},
		{"backend_statsuriadminstats", backend_statsuriadminstats},
		{"backend_stickmatchsrctablepopiflocalhost", backend_stickmatchsrctablepopiflocalhost},
		{"backend_stickonsrctablepopiflocalhost", backend_stickonsrctablepopiflocalhost},
		{"backend_stickstorerequestsrctablepopiflo", backend_stickstorerequestsrctablepopiflo},
		{"backend_sticktabletypeipsize1mexpire5mst", backend_sticktabletypeipsize1mexpire5mst},
		{"backend_sticktabletypeipsize1mexpire5mst_", backend_sticktabletypeipsize1mexpire5mst_},
		{"backend_sticktabletypestringlen1000size1", backend_sticktabletypestringlen1000size1},
		{"backend_sticktabletypestringlen1000size1_", backend_sticktabletypestringlen1000size1_},
		{"backend_tcpcheckcommenttestcomment", backend_tcpcheckcommenttestcomment},
		{"backend_tcpcheckconnect", backend_tcpcheckconnect},
		{"backend_tcpcheckconnectport110linger", backend_tcpcheckconnectport110linger},
		{"backend_tcpcheckconnectport143", backend_tcpcheckconnectport143},
		{"backend_tcpcheckconnectport443ssl", backend_tcpcheckconnectport443ssl},
		{"backend_tcpcheckexpectstringOK", backend_tcpcheckexpectstringOK},
		{"backend_tcpcheckexpectstringOKIMAP4ready", backend_tcpcheckexpectstringOKIMAP4ready},
		{"backend_tcpcheckexpectstringOKPOP3ready", backend_tcpcheckexpectstringOKPOP3ready},
		{"backend_tcpcheckexpectstringPONG", backend_tcpcheckexpectstringPONG},
		{"backend_tcpcheckexpectstringrolemaster", backend_tcpcheckexpectstringrolemaster},
		{"backend_tcpchecksendPINGrn", backend_tcpchecksendPINGrn},
		{"backend_tcpchecksendPINGrncommenttestcom", backend_tcpchecksendPINGrncommenttestcom},
		{"backend_tcpchecksendQUITrn", backend_tcpchecksendQUITrn},
		{"backend_tcpchecksendQUITrncommenttestcom", backend_tcpchecksendQUITrncommenttestcom},
		{"backend_tcpchecksendbinarylftesthexfmt", backend_tcpchecksendbinarylftesthexfmt},
		{"backend_tcpchecksendbinarylftesthexfmtco", backend_tcpchecksendbinarylftesthexfmtco},
		{"backend_tcpchecksendbinarytesthexstring", backend_tcpchecksendbinarytesthexstring},
		{"backend_tcpchecksendbinarytesthexstringc", backend_tcpchecksendbinarytesthexstringc},
		{"backend_tcpchecksendinforeplicationrn", backend_tcpchecksendinforeplicationrn},
		{"backend_tcpchecksendlftestfmt", backend_tcpchecksendlftestfmt},
		{"backend_tcpchecksendlftestfmtcommenttest", backend_tcpchecksendlftestfmtcommenttest},
		{"backend_tcpchecksetvarcheckportint1234", backend_tcpchecksetvarcheckportint1234},
		{"backend_tcpchecksetvarfmtchecknameH", backend_tcpchecksetvarfmtchecknameH},
		{"backend_tcpchecksetvarfmttxnfromaddrsrcs", backend_tcpchecksetvarfmttxnfromaddrsrcs},
		{"backend_tcpcheckunsetvartxnfrom", backend_tcpcheckunsetvartxnfrom},
		{"backend_tcprequestconnectionaccept", backend_tcprequestconnectionaccept},
		{"backend_tcprequestconnectionacceptifHTTP", backend_tcprequestconnectionacceptifHTTP},
		{"backend_tcprequestconnectioncapturereqpa", backend_tcprequestconnectioncapturereqpa},
		{"backend_tcprequestconnectionexpectnetsca", backend_tcprequestconnectionexpectnetsca},
		{"backend_tcprequestconnectionexpectnetsca_", backend_tcprequestconnectionexpectnetsca_},
		{"backend_tcprequestconnectionexpectproxyl", backend_tcprequestconnectionexpectproxyl},
		{"backend_tcprequestconnectionluafoo", backend_tcprequestconnectionluafoo},
		{"backend_tcprequestconnectionluafooparami", backend_tcprequestconnectionluafooparami},
		{"backend_tcprequestconnectionluafooparamp", backend_tcprequestconnectionluafooparamp},
		{"backend_tcprequestconnectionreject", backend_tcprequestconnectionreject},
		{"backend_tcprequestconnectionrejectifHTTP", backend_tcprequestconnectionrejectifHTTP},
		{"backend_tcprequestconnectionscincgpc02", backend_tcprequestconnectionscincgpc02},
		{"backend_tcprequestconnectionscincgpc02if", backend_tcprequestconnectionscincgpc02if},
		{"backend_tcprequestconnectionscincgpc12", backend_tcprequestconnectionscincgpc12},
		{"backend_tcprequestconnectionscincgpc12if", backend_tcprequestconnectionscincgpc12if},
		{"backend_tcprequestconnectionscsetgpt0013", backend_tcprequestconnectionscsetgpt0013},
		{"backend_tcprequestconnectionscsetgpt0013_", backend_tcprequestconnectionscsetgpt0013_},
		{"backend_tcprequestconnectionsetmark0x1Ab", backend_tcprequestconnectionsetmark0x1Ab},
		{"backend_tcprequestconnectionsetmark20", backend_tcprequestconnectionsetmark20},
		{"backend_tcprequestconnectionsetsrchdrxfo", backend_tcprequestconnectionsetsrchdrxfo},
		{"backend_tcprequestconnectionsetsrchdrxfo_", backend_tcprequestconnectionsetsrchdrxfo_},
		{"backend_tcprequestconnectionsetsrcporthd", backend_tcprequestconnectionsetsrcporthd},
		{"backend_tcprequestconnectionsetsrcporthd_", backend_tcprequestconnectionsetsrcporthd_},
		{"backend_tcprequestconnectionsetsrcsrcipm", backend_tcprequestconnectionsetsrcsrcipm},
		{"backend_tcprequestconnectionsetsrcsrcipm_", backend_tcprequestconnectionsetsrcsrcipm_},
		{"backend_tcprequestconnectionsettos0", backend_tcprequestconnectionsettos0},
		{"backend_tcprequestconnectionsettos0ifFAL", backend_tcprequestconnectionsettos0ifFAL},
		{"backend_tcprequestconnectionsilentdrop", backend_tcprequestconnectionsilentdrop},
		{"backend_tcprequestconnectionsilentdropif", backend_tcprequestconnectionsilentdropif},
		{"backend_tcprequestconnectiontracksc0src", backend_tcprequestconnectiontracksc0src},
		{"backend_tcprequestconnectiontracksc0srci", backend_tcprequestconnectiontracksc0srci},
		{"backend_tcprequestconnectiontracksc0srct", backend_tcprequestconnectiontracksc0srct},
		{"backend_tcprequestconnectiontracksc0srct_", backend_tcprequestconnectiontracksc0srct_},
		{"backend_tcprequestconnectiontracksc1src", backend_tcprequestconnectiontracksc1src},
		{"backend_tcprequestconnectiontracksc1srci", backend_tcprequestconnectiontracksc1srci},
		{"backend_tcprequestconnectiontracksc1srct", backend_tcprequestconnectiontracksc1srct},
		{"backend_tcprequestconnectiontracksc1srct_", backend_tcprequestconnectiontracksc1srct_},
		{"backend_tcprequestconnectiontracksc2src", backend_tcprequestconnectiontracksc2src},
		{"backend_tcprequestconnectiontracksc2srci", backend_tcprequestconnectiontracksc2srci},
		{"backend_tcprequestconnectiontracksc2srct", backend_tcprequestconnectiontracksc2srct},
		{"backend_tcprequestconnectiontracksc2srct_", backend_tcprequestconnectiontracksc2srct_},
		{"backend_tcprequestcontentaccept", backend_tcprequestcontentaccept},
		{"backend_tcprequestcontentacceptifHTTP", backend_tcprequestcontentacceptifHTTP},
		{"backend_tcprequestcontentcapturereqpaylo", backend_tcprequestcontentcapturereqpaylo},
		{"backend_tcprequestcontentcapturereqpaylo_", backend_tcprequestcontentcapturereqpaylo_},
		{"backend_tcprequestcontentdoresolvetxnmyi", backend_tcprequestcontentdoresolvetxnmyi},
		{"backend_tcprequestcontentdoresolvetxnmyi_", backend_tcprequestcontentdoresolvetxnmyi_},
		{"backend_tcprequestcontentluafoo", backend_tcprequestcontentluafoo},
		{"backend_tcprequestcontentluafooparamifHT", backend_tcprequestcontentluafooparamifHT},
		{"backend_tcprequestcontentluafooparampara", backend_tcprequestcontentluafooparampara},
		{"backend_tcprequestcontentreject", backend_tcprequestcontentreject},
		{"backend_tcprequestcontentrejectifHTTP", backend_tcprequestcontentrejectifHTTP},
		{"backend_tcprequestcontentsendspoegroupen", backend_tcprequestcontentsendspoegroupen},
		{"backend_tcprequestcontentsetbandwidthlim", backend_tcprequestcontentsetbandwidthlim},
		{"backend_tcprequestcontentsetbandwidthlim_", backend_tcprequestcontentsetbandwidthlim_},
		{"backend_tcprequestcontentsetbandwidthlim__", backend_tcprequestcontentsetbandwidthlim__},
		{"backend_tcprequestcontentsetbandwidthlim___", backend_tcprequestcontentsetbandwidthlim___},
		{"backend_tcprequestcontentsetdstipv410001", backend_tcprequestcontentsetdstipv410001},
		{"backend_tcprequestcontentsetloglevelsile", backend_tcprequestcontentsetloglevelsile},
		{"backend_tcprequestcontentsetloglevelsile_", backend_tcprequestcontentsetloglevelsile_},
		{"backend_tcprequestcontentsetmark0x1AbifF", backend_tcprequestcontentsetmark0x1AbifF},
		{"backend_tcprequestcontentsetmark20", backend_tcprequestcontentsetmark20},
		{"backend_tcprequestcontentsetnice0", backend_tcprequestcontentsetnice0},
		{"backend_tcprequestcontentsetnice0ifFALSE", backend_tcprequestcontentsetnice0ifFALSE},
		{"backend_tcprequestcontentsetpriorityclas", backend_tcprequestcontentsetpriorityclas},
		{"backend_tcprequestcontentsetpriorityclas_", backend_tcprequestcontentsetpriorityclas_},
		{"backend_tcprequestcontentsetpriorityoffs", backend_tcprequestcontentsetpriorityoffs},
		{"backend_tcprequestcontentsetpriorityoffs_", backend_tcprequestcontentsetpriorityoffs_},
		{"backend_tcprequestcontentsetsrcporthdrpo", backend_tcprequestcontentsetsrcporthdrpo},
		{"backend_tcprequestcontentsetsrcporthdrpo_", backend_tcprequestcontentsetsrcporthdrpo_},
		{"backend_tcprequestcontentsettos0", backend_tcprequestcontentsettos0},
		{"backend_tcprequestcontentsettos0ifFALSE", backend_tcprequestcontentsettos0ifFALSE},
		{"backend_tcprequestcontentsetvarfmtsessdn", backend_tcprequestcontentsetvarfmtsessdn},
		{"backend_tcprequestcontentsetvarfmtsesssr", backend_tcprequestcontentsetvarfmtsesssr},
		{"backend_tcprequestcontentsetvarsessdnssl", backend_tcprequestcontentsetvarsessdnssl},
		{"backend_tcprequestcontentsetvarsesssrcsr", backend_tcprequestcontentsetvarsesssrcsr},
		{"backend_tcprequestcontentsilentdrop", backend_tcprequestcontentsilentdrop},
		{"backend_tcprequestcontentsilentdropifHTT", backend_tcprequestcontentsilentdropifHTT},
		{"backend_tcprequestcontentswitchmodehttp", backend_tcprequestcontentswitchmodehttp},
		{"backend_tcprequestcontentswitchmodehttpi", backend_tcprequestcontentswitchmodehttpi},
		{"backend_tcprequestcontentswitchmodehttpp", backend_tcprequestcontentswitchmodehttpp},
		{"backend_tcprequestcontenttracksc0src", backend_tcprequestcontenttracksc0src},
		{"backend_tcprequestcontenttracksc0srcifso", backend_tcprequestcontenttracksc0srcifso},
		{"backend_tcprequestcontenttracksc0srctabl", backend_tcprequestcontenttracksc0srctabl},
		{"backend_tcprequestcontenttracksc0srctabl_", backend_tcprequestcontenttracksc0srctabl_},
		{"backend_tcprequestcontenttracksc1src", backend_tcprequestcontenttracksc1src},
		{"backend_tcprequestcontenttracksc1srcifso", backend_tcprequestcontenttracksc1srcifso},
		{"backend_tcprequestcontenttracksc1srctabl", backend_tcprequestcontenttracksc1srctabl},
		{"backend_tcprequestcontenttracksc1srctabl_", backend_tcprequestcontenttracksc1srctabl_},
		{"backend_tcprequestcontenttracksc2src", backend_tcprequestcontenttracksc2src},
		{"backend_tcprequestcontenttracksc2srcifso", backend_tcprequestcontenttracksc2srcifso},
		{"backend_tcprequestcontenttracksc2srctabl", backend_tcprequestcontenttracksc2srctabl},
		{"backend_tcprequestcontenttracksc2srctabl_", backend_tcprequestcontenttracksc2srctabl_},
		{"backend_tcprequestcontentunsetvarsessdn", backend_tcprequestcontentunsetvarsessdn},
		{"backend_tcprequestcontentunsetvarsesssrc", backend_tcprequestcontentunsetvarsesssrc},
		{"backend_tcprequestcontentuseserviceluade", backend_tcprequestcontentuseserviceluade},
		{"backend_tcprequestcontentuseserviceluade_", backend_tcprequestcontentuseserviceluade_},
		{"backend_tcprequestsessionaccept", backend_tcprequestsessionaccept},
		{"backend_tcprequestsessionacceptifHTTP", backend_tcprequestsessionacceptifHTTP},
		{"backend_tcprequestsessionreject", backend_tcprequestsessionreject},
		{"backend_tcprequestsessionrejectifHTTP", backend_tcprequestsessionrejectifHTTP},
		{"backend_tcprequestsessionscincgpc02", backend_tcprequestsessionscincgpc02},
		{"backend_tcprequestsessionscincgpc02ifise", backend_tcprequestsessionscincgpc02ifise},
		{"backend_tcprequestsessionscincgpc12", backend_tcprequestsessionscincgpc12},
		{"backend_tcprequestsessionscincgpc12ifise", backend_tcprequestsessionscincgpc12ifise},
		{"backend_tcprequestsessionscsetgpt001337", backend_tcprequestsessionscsetgpt001337},
		{"backend_tcprequestsessionscsetgpt001337i", backend_tcprequestsessionscsetgpt001337i},
		{"backend_tcprequestsessionsetvarfmtsessdn", backend_tcprequestsessionsetvarfmtsessdn},
		{"backend_tcprequestsessionsetvarfmtsesssr", backend_tcprequestsessionsetvarfmtsesssr},
		{"backend_tcprequestsessionsetvarsessdnssl", backend_tcprequestsessionsetvarsessdnssl},
		{"backend_tcprequestsessionsetvarsesssrcsr", backend_tcprequestsessionsetvarsesssrcsr},
		{"backend_tcprequestsessionsilentdrop", backend_tcprequestsessionsilentdrop},
		{"backend_tcprequestsessionsilentdropifHTT", backend_tcprequestsessionsilentdropifHTT},
		{"backend_tcprequestsessiontracksc0src", backend_tcprequestsessiontracksc0src},
		{"backend_tcprequestsessiontracksc0srcifso", backend_tcprequestsessiontracksc0srcifso},
		{"backend_tcprequestsessiontracksc0srctabl", backend_tcprequestsessiontracksc0srctabl},
		{"backend_tcprequestsessiontracksc0srctabl_", backend_tcprequestsessiontracksc0srctabl_},
		{"backend_tcprequestsessiontracksc1src", backend_tcprequestsessiontracksc1src},
		{"backend_tcprequestsessiontracksc1srcifso", backend_tcprequestsessiontracksc1srcifso},
		{"backend_tcprequestsessiontracksc1srctabl", backend_tcprequestsessiontracksc1srctabl},
		{"backend_tcprequestsessiontracksc1srctabl_", backend_tcprequestsessiontracksc1srctabl_},
		{"backend_tcprequestsessiontracksc2src", backend_tcprequestsessiontracksc2src},
		{"backend_tcprequestsessiontracksc2srcifso", backend_tcprequestsessiontracksc2srcifso},
		{"backend_tcprequestsessiontracksc2srctabl", backend_tcprequestsessiontracksc2srctabl},
		{"backend_tcprequestsessiontracksc2srctabl_", backend_tcprequestsessiontracksc2srctabl_},
		{"backend_tcprequestsessionunsetvarsessdn", backend_tcprequestsessionunsetvarsessdn},
		{"backend_tcprequestsessionunsetvarsesssrc", backend_tcprequestsessionunsetvarsesssrc},
		{"backend_tcpresponsecontentclose", backend_tcpresponsecontentclose},
		{"backend_tcpresponsecontentcloseifHTTP", backend_tcpresponsecontentcloseifHTTP},
		{"backend_tcpresponsecontentluafoo", backend_tcpresponsecontentluafoo},
		{"backend_tcpresponsecontentluafooparamifH", backend_tcpresponsecontentluafooparamifH},
		{"backend_tcpresponsecontentluafooparampar", backend_tcpresponsecontentluafooparampar},
		{"backend_tcpresponsecontentsetbandwidthli", backend_tcpresponsecontentsetbandwidthli},
		{"backend_tcpresponsecontentsetbandwidthli_", backend_tcpresponsecontentsetbandwidthli_},
		{"backend_tcpresponsecontentsetbandwidthli__", backend_tcpresponsecontentsetbandwidthli__},
		{"backend_tcpresponsecontentsetbandwidthli___", backend_tcpresponsecontentsetbandwidthli___},
		{"backend_tcpresponsecontentsetdstdest", backend_tcpresponsecontentsetdstdest},
		{"backend_tcpresponsecontentsetloglevelsil", backend_tcpresponsecontentsetloglevelsil},
		{"backend_tcpresponsecontentsetloglevelsil_", backend_tcpresponsecontentsetloglevelsil_},
		{"backend_tcpresponsecontentsetmark0x1Abif", backend_tcpresponsecontentsetmark0x1Abif},
		{"backend_tcpresponsecontentsetmark20", backend_tcpresponsecontentsetmark20},
		{"backend_tcpresponsecontentsetnice0", backend_tcpresponsecontentsetnice0},
		{"backend_tcpresponsecontentsetnice0ifFALS", backend_tcpresponsecontentsetnice0ifFALS},
		{"backend_tcpresponsecontentsettos0", backend_tcpresponsecontentsettos0},
		{"backend_tcpresponsecontentsettos0ifFALSE", backend_tcpresponsecontentsettos0ifFALSE},
		{"backend_tcpresponsecontentunsetvarsessmy", backend_tcpresponsecontentunsetvarsessmy},
		{"backend_usefcgiappapplication", backend_usefcgiappapplication},
		{"backend_useserverwwwifreqsslsniiwwwexamp", backend_useserverwwwifreqsslsniiwwwexamp},
		{"backend_useserverwwwifreqsslsniiwwwexamp_", backend_useserverwwwifreqsslsniiwwwexamp_},
	}
	for _, config := range tests {
		t.Run(config.Name, func(t *testing.T) {
			t.Parallel()
			var buffer bytes.Buffer
			buffer.WriteString(config.Config)
			p, err := parser.New(options.Reader(&buffer))
			if err != nil {
				t.Fatalf(err.Error())
			}
			result := p.String()
			if result != config.Config {
				compare(t, config.Config, result)
				t.Error("======== ORIGINAL =========")
				t.Error(config.Config)
				t.Error("======== RESULT ===========")
				t.Error(result)
				t.Error("===========================")
				t.Fatalf("configurations does not match")
			}
		})
	}
}
